<?php namespace Alix\Services\Validation;

use Validator as V;

abstract class Validator {

    protected $errors;
    
    public function langRequired(){
	    $lang = array();
	    $languages = \Language::all();
	    foreach($languages as $l){
		    $lang[] = $l->short;
		}
	    return $lang;
    }

    public function isValidForCreation($input, $add_rules = null)
    {
        return $this->validate($input, $add_rules);
    }

    public function isValidForUpdate($input, $model = null)
    {
        return $this->validate($input);
    }

    public function validate($input, $add_rules = null)
    {
        $validation = V::make($input, static::$rules);
        if(is_array($add_rules)){
        	$validation = V::make($input, array_merge(static::$rules, $add_rules));
        }

        if($validation->fails())
        {
            $this->errors = $validation->messages();
            return false;
        }

        return true;
    }

    public function getErrors()
    {
        return $this->errors;
    }

}