<?php
use Illuminate\Console\Command;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputArgument;

class ClockworkCleanCommand extends Command {

    /**
    * The console command name.
    *
    * @var string
    */
    protected $name = 'clockwork:clean';

    /**
    * The console command description.
    *
    * @var string
    */
    protected $description = 'Cleans the app/storage/clockwork directory';

    /**
    * Create a new command instance.
    *
    * @return void
    */
    public function __construct()
    {
        parent::__construct();
    }

    /**
    * Execute the console command.
    *
    * @return void
    */
    public function fire()
    {
        $this->info('Cleaning app/storage/clockwork...');

        $files = scandir(storage_path().'/clockwork/');
        foreach($files as $file)
        {
            if(substr($file, -4) == "json")
                unlink(storage_path().'/clockwork/'.$file);
        }

        $this->info('Done');
    }

}