<?php

class HomeController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/

	public function index(){
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Dior';
		$data['desc'] = 'Dior';
		
		$data['homepage'] = true;
				
		return View::make('index', $data);
	}
	
	public function agenda(){
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Agenda Dior';
		$data['desc'] = 'Agenda Dior';
			
		return View::make('agenda.index', $data);		
	}
	
	
	public function practical_information($page){
		
		$pages = ['your-hotels','medina-district','gueliz-district','jardin-majorelle','koutoubia-mosque','the-souks','jemaa-el-fna','palais-de-la-bahia','badii-palace'];
		
		if(!in_array($page,$pages)) return Redirect::route('home');
		
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Practical information Dior';
		$data['desc'] = 'Practical information Dior';
			
		return View::make('information.'.$page, $data);		
	}
	
	
	
	public function gallery(){
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Dior Gallery';
		$data['desc'] = 'Dior Gallery';
		/*		
		$sizes = [
			[600,300],[300,300],[300,300],[600,601],[300,300],[300,300],[600,296],[300,300],[300,300],[300,601]
		];
		*/
		$sizes = [
			[1200,600],[1200,1200],[1200,1200],[1200,1202],[1200,1200],[1200,1200],[1200,592],[1200,1200],[1200,1200],[600,1202]
		];		
		$width = 0;
		$height = 0;
		
		$i = 0;
		$data['photos'] = [];
		foreach(PhotoU::orderBy('position','ASC')->get() as $p){
			
			$data['photos'][$i]['url'] = URL::route('photogallery',[$sizes[$width][0],$sizes[$height][1],$p->name]);
			$data['photos'][$i]['full-url'] = URL::asset('uploads/photos/gallery/'.$p->name);
			$data['photos'][$i]['title'] = $p->title;
			$data['photos'][$i]['desc'] = $p->description;
									
			if($width >= 9) $width = 0;
			else $width++;
			
			if($height >= 9) $height = 0;
			else $height++;	
			
			$i++;	
		}
		
		$data['number_schema'] = (count($data['photos'])) ? ceil(count($data['photos'])/10) : 0;
					
		return View::make('gallery.index', $data);		
	}
	
	public function faq(){
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Dior FAQ';
		$data['desc'] = 'Dior FAQ';
		
		$data['themes'][''] = 'Theme';
		foreach(QuestionTheme::all() as $qt){
			$data['themes'][$qt->id] = $qt->theme;
		}
		
		return View::make('faq.index', $data);		
	}
	
	public function post_question(){
		
		$input = Input::all();
				
		$recaptcha = $input['g-recaptcha-response'];
        $google_url = "https://www.google.com/recaptcha/api/siteverify";
        $secret = '6LdoCwgTAAAAAF2gEgVvvHpj8Lfy_tj-4mELijVr';
		$ip = $_SERVER['REMOTE_ADDR'];
		$url = $google_url."?secret=".$secret."&response=".$recaptcha."&remoteip=".$ip;
		$res = GeneralFunctions::getCurlData($url);
		$res = json_decode($res, true);
			
		if($res['success']){

			$rules = array(
				'question' => 'required',
				'theme' => 'required',
			);
			
			$v = Validator::make($input, $rules);
			
			if($v->fails())
	        {  
				return Redirect::route('faq')
					->withNotification(['type' => 'danger', 'text' => 'An error has been detected'])
					->withErrors($v)
					->withInput();
	        }
	        else
	        {
				Question::create(array(
					'question_theme_id' => $input['theme'],
					'question' => $input['question'],
				));
				
				$msg = 'Bonjour,<br/><br/>
				Une nouvelle question a été posée sur la page FAQ:<br/><br/>
				<i>'.$input['question'].'</i><br/><br/>
				'.Emails::email_button(URL::route($_ENV['admin-url'].'.questions.index'),'Répondre à la question').'<br/>Dès qu\'une réponse sera rédigée, la question sera publiée sur le site.';
				
				Emails::send_email('Nouvelle question FAQ Dior',$msg,'diorconvention2016@spiceup.fr');
		    	
		    	return Redirect::route('faq')->withNotification(['type' => 'success', 'text' => 'Your question has been send.']);
		    }
		
		}
		else return Redirect::route('faq')
					->withNotification(['type' => 'danger', 'text' => 'Are you an human?'])
					->withInput();
		
	}
	
	public function documents(){
		
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Dior Documents';
		$data['desc'] = 'Dior Documents';
		
		return View::make('documents.index', $data);
		
	}
	
	public function contact(){
		$data = $this->data;
		$this->update_url_history();
			
		$data['title'] = 'Contact Dior';
		$data['desc'] = 'Contact Dior';
		
		return View::make('contact.index', $data);
	}
	
	public function ie(){
		$data['title'] = 'Dior';
		$data['desc'] = 'Dior';
		
		return View::make('ie', $data);		
	}
	
	public function page($url){
		$missing_page = false;
		if( !$url = PageLang::where('url', '=', $url)->first()) {
			$missing_page = true; // 404 error
		}
		
		$data = $this->data;
		$this->update_url_history();
		
		$data['menu'] = Category::find(2);
		$data['pages_annexes'] = Category::find(4);
		
		if($missing_page) return View::make('errors.404',$data);
		
		$data['page'] = $url->page;
		$data['title'] = strip_tags($url->title).' '.trans('site.meta_regle');
		$data['desc'] = strip_tags($url->description);
		$data['keywords'] = $url->keywords;
		
		// Metas par défaut si vides
		if(trim($data['title'])==''){$data['title'] = strip_tags($url->title);}
		if(trim($data['desc'])==''){$data['desc'] = $data['title'];}
		
		return View::make('page', $data);
	}
		
	public function postcontact()
    {
	    if (Request::ajax())
		{
			$data = [];
			$input = Input::all();
			
			if($_ENV['no-captcha-enabled']==true)
				$rules = ['grecaptcharesponse' => 'required|captcha'];
			else
				$rules = [];
			// Captcha
			$validator = Validator::make($input, $rules);
			if ($validator->fails())
			{
				$erreur_msg = $validator->messages();
				$data['result'] = 'no';
				$data['error'] = 'Vous devez prouver que vous n\'êtes pas un robot en cochant la case correspondante.';
			}
			else
			{
				$nom 			= htmlspecialchars(stripcslashes($input['nom']));
				$email 			= htmlspecialchars(stripcslashes($input['email']));
				$message 		= htmlspecialchars(stripcslashes($input['message']));
				
				if (empty($nom)){
					$data['error'] ='Vous n\'avez pas saisie votre nom.';
					$data['result'] = 'no';
				}
				else if(empty($email)){
					$data['error'] ='Vous n\'avez pas saisie votre email.';
					$data['result'] = 'no';
				}
				else if(empty($message)){
					$data['error'] ='Vous n\'avez pas saisie votre message.';
					$data['result'] = 'no';
				}
				else // Tout est bon
				{
					$contact = \Demande::create([
						'type' 		=> 'contact',
					    'nom' 		=> $nom,
					    'email' 	=> $email,
					    'message' 	=> $message,
					]);
					
					if(isset($contact))
			        {
				        $data['result'] = 'yes';
				        $data['val'] = Crypt::encrypt($email);
				        
				        // Email envoyé à DataCorp
						$sujet = 'Demande de contact : '.$nom;
			            $msg ='Bonjour,<br /><br />Un utilisateur du site internet <a href="'.URL::to('/').'">DataCorp Technologie</a> vous a contacté.<br /><br />';
			            $msg .='Voici son message:<br /><br />';
			            $msg .='Nom complet : <b>'.$nom.'</b><br /><br />';
			            $msg .='Email : <b>'.$email.'</b><br /><br />';
			            $msg .='Message : <b>'.$message.'</b>';
						Emails::send_email($sujet,$msg,'contact@datacorp.fr');
			            //Emails::send_email($sujet,$msg,'nicolas.porion.ckc@gmail.com');
			            
			            // Email envoyé à l'expéditeur
			            $sujet = trans('site.mail_1');
			            $msg = trans('site.mail_2');
			            $msg .= trans('site.mail_3');
			            $msg .= trans('site.last_name').' : <b>'.$nom.'</b><br /><br />';
			            $msg .= trans('site.email').' : <b>'.$email.'</b><br /><br />';
			            $msg .= trans('site.message').' : <b>'.$message.'</b>';
			            Emails::send_email($sujet,$msg,$email);
			        }
			        else
			        {
				        $data['result'] = 'no';
			        }
				}
			}
			return json_encode($data);
		}
    }
    
    public function contactvalid($val){
	    if( !$contact = \Crypt::decrypt($val)) {
			return Redirect::route('contact');
		}
		$data = $this->data;
		$this->update_url_history();
	
		$data['menu'] = Category::find(2);
		$data['pages_annexes'] = Category::find(4);
		
		$data['title'] = trans('site.titre_contact');
		$data['desc'] = trans('site.desc_contact');
		
		$data['success'] = true;
		
		return View::make('contact.index',$data);
	}
	
	public function postnewsletter()
    {
	    if (Request::ajax())
		{
			$data = [];
			$input = Input::all();
			
			// Captcha
			$validator = Validator::make($input, [
				'email' => 'required|email'
			]);
			if ($validator->fails())
			{
				$erreur_msg = $validator->messages();
				$data['result'] = 'no';
				$data['error'] = 'Veuillez renseigner votre adresse email.';
			}
			else
			{
				$email 			= htmlspecialchars(stripcslashes($input['email']));
				$emailexists = Newsletter::where('email','=',$email)->first();
				
				if(empty($email)){
					$data['error'] ='Vous n\'avez pas saisie votre email.';
					$data['result'] = 'no';
				}
				else if($emailexists){ // Email existe
					$data['error'] ='Cette adresse email existe déjà.';
					$data['result'] = 'no';
				}
				else // Tout est bon
				{
					// Insère en base
			        $newsletter = Newsletter::create([
				        'email' => $email
			        ]);
			        $lang = Session::get('language');
			        $newsletter->language_id = $lang->id;
			        $newsletter->save();
			        
			        $data['result'] = 'yes';
			        $data['success'] = trans('site.success_newsletter');
				}
			}
			return json_encode($data);
		}
    }
    
    public function romain(){
	    $data = $this->data;
	    $data['menu'] = Category::find(2);
	    $data['pages_annexes'] = Category::find(4);
	    return View::make('romain.romain',$data);
    }
	
}
