<?php

class RegistrationController extends BaseController {
	
	public function index(){
		$data = $this->data;
		$this->update_url_history();
				
		$data['title'] = 'Registration';
		$data['desc'] = 'Regsitration';
		
		$data['months'][''] = 'MM';
		for($i = 1; $i <= 12; $i++){
			$month = ($i < 10) ? '0'.$i : $i;
			$data['months'][$month] = $month;
		}
		
		$data['days'][''] = 'DD';
		for($i = 1; $i <= 31; $i++){
			$day = ($i < 10) ? '0'.$i : $i;
			$data['days'][$day] = $day;
		}
		
		$data['years'][''] = 'YYYY';
		for($i = date('Y'); $i >= (date('Y')-100); $i--){
			$data['years'][$i] = $i;
		}
		
		$data['years_passport'][''] = 'YYYY';
		for($i = date('Y'); $i <= (date('Y')+10); $i++){
			$data['years_passport'][$i] = $i;
		}		
			
		return View::make('registration.index', $data);
	}
	
	public function registration(){
		$input = Input::all();
				
		$recaptcha = $input['g-recaptcha-response'];
        $google_url = "https://www.google.com/recaptcha/api/siteverify";
        $secret = '6LdoCwgTAAAAAF2gEgVvvHpj8Lfy_tj-4mELijVr';
		$ip = $_SERVER['REMOTE_ADDR'];
		$url = $google_url."?secret=".$secret."&response=".$recaptcha."&remoteip=".$ip;
		$res = GeneralFunctions::getCurlData($url);
		$res = json_decode($res, true);
		
		if($res['success']){
		
			$rules = array(
				'firstname' => 'required',
				'surname' => 'required',
				'email' => 'email|required',
				'month_date_of_birth' => 'required',
				'day_date_of_birth' => 'required',
				'year_date_of_birth' => 'required',
				'nationality' => 'required',
				'passport_number' => 'required',
				'month_passport' => 'required',
				'day_passport' => 'required',
				'year_passport' => 'required',
				'date_airport' => 'required',
				'invitation_letter' => 'required',
				'address' => 'required',
				'city' => 'required',
				'zip_code' => 'required',
				'country' => 'required',
				'activity' => 'required',
			);
			
			$v = Validator::make($input, $rules);
			
			if($v->fails())
	        {  
				return Redirect::route('registration')
					->withNotification(['type' => 'danger', 'text' => 'An error has been detected'])
					->withErrors($v)
					->withInput();
	        }
	        else
	        {
				$registration = Registration::create(array(
					'firstname' => $input['firstname'],
					'surname' => $input['surname'],
					'email' => $input['email'],
					'date_of_birth' => $input['year_date_of_birth'].'-'.$input['month_date_of_birth'].'-'.$input['day_date_of_birth'],
					'nationality' => $input['nationality'],
					'passport_number' => $input['passport_number'],
					'passport_date' => $input['year_passport'].'-'.$input['month_passport'].'-'.$input['day_passport'],
					'date_airport' => $input['date_airport'],
					'invitation_letter' => (isset($input['invitation_letter'])) ? $input['invitation_letter'] : '',
					'address' => $input['address'],
					'address_bis' => $input['address_bis'],
					'city' => $input['city'],
					'zip_code' => $input['zip_code'],
					'country' => $input['country'],
					'firstname_second' => $input['firstname_second'],
					'surname_second' => $input['surname_second'],
					'dietary_restrictions' => (isset($input['dietary_restrictions'])) ? $input['dietary_restrictions'] : '',
					'desc_dietary_restrictions' => $input['desc_dietary_restrictions'],
					'activity' => (isset($input['activity'])) ? $input['activity'] : '',
					'comment' => $input['comment'],
				));
								
				$msg = 'Bonjour,<br/><br/>';
				$msg .= 'Une nouvelle inscription a récemment été enregistrée.<br/>Voici les détails:<br/><br/>';
				$msg .= '- <i>Prénom</i>: '.$registration->firstname.'<br/>';
				$msg .= '- <i>Nom</i>: '.$registration->surname.'<br/>';
				$msg .= '- <i>Email</i>: '.$registration->email.'<br/>';
				$msg .= '- <i>Date de naissance</i>: '.DateFunctions::format_date($registration->date_of_birth).'<br/>';
				$msg .= '- <i>Nationalité</i>: '.$registration->nationality.'<br/>';
				$msg .= '- <i>Numéro de passport</i>: '.$registration->passport_number.'<br/>';
				$msg .= '- <i>Date d\'expiration du passport</i>: '.DateFunctions::format_date($registration->passport_date).'<br/>';
				$msg .= '- <i>Adresse</i>: '.$registration->address.' '.$registration->address_bis.'<br/>';
				$msg .= '- <i>Ville</i>: '.$registration->city.'<br/>';
				$msg .= '- <i>Code postal</i>: '.$registration->zip_code.'<br/>';
				$msg .= '- <i>Pays</i>: '.$registration->country.'<br/>';
				$msg .= '- <i>Arrivée à l\'aéroport</i>: '.$registration->date_airport.'<br/>';
				$letter = ($registration->invitation_letter == 'y') ? 'Oui' : 'Non'; 
				$msg .= '- <i>Lettre d\'invitation</i>: '.$letter.'<br/>';
				if($registration->firstname_second != ''){
					$msg .= '- <i>Prénom invité</i>: '.$registration->firstname_second.'<br/>';
				}
				if($registration->surname_second != ''){
					$msg .= '- <i>Nom invité</i>: '.$registration->surname_second.'<br/>';
				}
				if($registration->dietary_restrictions != ''){					
					$msg .= '- <i>Restrictions alimentaire</i>: '.$registration->dietary_restrictions.'<br/>';
				}
				if($registration->desc_dietary_restrictions != ''){
					$msg .= '- <i>Commentaire restrictions alimentaire</i>: '.$registration->desc_dietary_restrictions.'<br/>';	
				}				
				$msg .= '- <i>Activité</i>: '.$registration->activity.'<br/>';
				if($registration->comment != ''){
					$msg .= '- <i>Commentaire</i>: '.$registration->comment.'<br/>';
				}
				$msg .= '<br/><br/>'.Emails::email_button(URL::route($_ENV['admin-url'].'.registrations.index'),'Voir les inscriptions');		
				
				Emails::send_email('Nouvelle inscription Dior',$msg,'diorconvention2016@spiceup.fr');
				//Emails::send_email('Nouvelle inscription Dior',$msg,'raphaelcrouzet@gmail.com');
				
				$msg = 'Hello,<br/><br/>';
				$msg .= 'Thank you for your registration request.<br/>Here are the details bellow:<br/><br/>';
				$msg .= '- <i>Firstname</i>: '.$registration->firstname.'<br/>';
				$msg .= '- <i>Surname</i>: '.$registration->surname.'<br/>';
				$msg .= '- <i>Email address</i>: '.$registration->email.'<br/>';
				$msg .= '- <i>Date of Birth</i>: '.$registration->date_of_birth.'<br/>';
				$msg .= '- <i>Nationality</i>: '.$registration->nationality.'<br/>';
				$msg .= '- <i>Passport number</i>: '.$registration->passport_number.'<br/>';
				$msg .= '- <i>Passport date of expiry</i>: '.$registration->passport_date.'<br/>';
				$msg .= '- <i>Home address</i>: '.$registration->address.' '.$registration->address_bis.'<br/>';
				$msg .= '- <i>City</i>: '.$registration->city.'<br/>';
				$msg .= '- <i>ZIP code</i>: '.$registration->zip_code.'<br/>';
				$msg .= '- <i>Country</i>: '.$registration->country.'<br/>';
				$msg .= '- <i>Your departure / arrival airport</i>: '.$registration->date_airport.'<br/>';
				$letter = ($registration->invitation_letter == 'y') ? 'Yes' : 'No'; 
				$msg .= '- <i>Invitation letter</i>: '.$letter.'<br/>';
				if($registration->firstname_second != ''){
					$msg .= '- <i>Second person firstname</i>: '.$registration->firstname_second.'<br/>';
				}
				if($registration->surname_second != ''){
					$msg .= '- <i>Second person surname</i>: '.$registration->surname_second.'<br/>';
				}
				if($registration->dietary_restrictions != ''){
					if($registration->dietary_restrictions == 'Végétarien') $dietary_restrictions = 'Vegetarian';
					elseif($registration->dietary_restrictions == 'Sans gluten') $dietary_restrictions = 'Gluten free';
					elseif($registration->dietary_restrictions == 'Pas de porc') $dietary_restrictions = 'No pork';
					elseif($registration->dietary_restrictions == 'Halal') $dietary_restrictions = 'Halal';
					elseif($registration->dietary_restrictions == 'Kasher') $dietary_restrictions = 'Kasher';
					elseif($registration->dietary_restrictions == 'Autre') $dietary_restrictions = 'Other';
					elseif($registration->dietary_restrictions == 'Sans lactose') $dietary_restrictions = 'Lactose free';					
					$msg .= '- <i>Dietary restrictions</i>: '.$dietary_restrictions.'<br/>';
				}
				if($registration->desc_dietary_restrictions != ''){
					$msg .= '- <i>Dietary restrictions comment</i>: '.$registration->desc_dietary_restrictions.'<br/>';	
				}				
				$msg .= '- <i>Activity</i>: '.$registration->activity.'<br/>';
				if($registration->comment != ''){
					$msg .= '- <i>Comment</i>: '.$registration->comment.'<br/>';
				}			
				$msg .= '<br/><br/>Best regards';
				
				Emails::send_email('Dior registration request',$msg,$registration->email);
				//Emails::send_email('Dior registration request',$msg,'raphaelcrouzet@gmail.com');
		    	
		    	return Redirect::route('registration')->withNotification(['type' => 'success', 'text' => 'Thank you, your registration request has been received.']);
		    }
		}
		else return Redirect::route('registration')->withNotification(['type' => 'danger', 'text' => 'Are you an human?'])->withInput();
	}

}