<?php

class SessionsController extends BaseController {

    public function create()
    {
	    return View::make('sessions.create');
    }

    public function store()
    {
        $input = Input::all();

        $remember = isset($input['rememberme']) ? true : false;
        
        if (Auth::attempt(['email' => $input['email'], 'password' => $input['password']], $remember))
        {
            return Redirect::intended($_ENV['admin-url']);
        }

        return Redirect::back()->withInput()->withNotification(['type' => 'danger', 'text' => 'Identifiants Incorrects']);
    }

    public function destroy()
    {
        Auth::logout();

        return Redirect::route('login')
            ->withNotification(['type' => 'warning', 'text' => 'Déconnecté']);
    }

}