<?php

use Alix\Services\Validation\ContactValidator as Validator;

class ContactsController extends \BaseController {
	
	protected $validator;

    public function __construct(Validator $validator)
    {
        $this->validator = $validator;
        $this->beforeFilter(function(){
	        if(!Auth::user()->has_permission(48)){ return Redirect::route('admin'); }
        });
    }
    
    public function index()
	{
		$contacts = \Contact::all();
		return View::make($_ENV['admin-url'].'.contacts.index', compact('contacts'));
	}

	public function show($id)
	{
		if(!$contact = \Contact::find($id)){return Redirect::route($_ENV['admin-url'].'.contacts.index');}
		return View::make($_ENV['admin-url'].'.contacts.edit', compact('contact'));
	}
	
	public function update($id)
    {
		if(!$contact = \Contact::find($id)){return Redirect::route($_ENV['admin-url'].'.contacts.index');}
        
        $input = Input::all();
        
        if( ! isset($input['traite']))
            $input['traite'] = 0;
        
    	if ( ! $this->validator->isValidForUpdate($input))
        {
            return Redirect::back()->withErrors($this->validator->getErrors())->withInput()
                           ->withNotification(['type' => 'danger', "text" => "La validation du formulaire a échoué, veuillez vérifier les informations."]);
        }
        else
        {
	        $contact->update($input);
	        
        	return Redirect::route($_ENV['admin-url'].'.contacts.index')
                           ->withNotification(['type' => 'success', "text" => "La demande a bien été mise à jour."]);
        }
    }
	
	public function destroy($id)
	{
		if(!$contact = \Contact::find($id)){return Redirect::route($_ENV['admin-url'].'.contacts.index');}

		$contact->delete();
		
		return Redirect::back()->withNotification(['type' => 'danger', "text" => "Demande supprimée avec succès!"]);
	}
	
}