<?php

use Alix\Services\Validation\DemandeValidator as Validator;

class DemandesController extends \BaseController {
	
	protected $validator;

    public function __construct(Validator $validator)
    {
        $this->validator = $validator;
        $this->beforeFilter(function(){
	        if(!Auth::user()->has_permission(43)){ return Redirect::route('admin'); }
        });
    }
    
    public function index()
	{
		$demandes = Demande::all();
		return View::make($_ENV['admin-url'].'.demandes.index', compact('demandes'));
	}

	public function show($id)
	{
		if(!$demande = Demande::find($id)){return Redirect::route($_ENV['admin-url'].'.demandes.index');}
		
		return View::make($_ENV['admin-url'].'.demandes.show', compact('demande'));
	}
	
	public function destroy($id)
	{
		if(!$demande = Demande::find($id)){return Redirect::route($_ENV['admin-url'].'.demandes.index');}

		$demande->delete();
		
		return Redirect::back()->withNotification(['type' => 'danger', "text" => "Demande d\'informations supprimée avec succès!"]);
	}
	
}