<?php

use Alix\Services\Validation\NewsletterValidator as Validator;

class NewsletterController extends \BaseController {
	
	protected $validator;

    public function __construct(Validator $validator)
    {
        $this->validator = $validator;
        $this->beforeFilter(function(){
	        if(!Auth::user()->has_permission(2)){ return Redirect::route('admin'); }
        });
    }
    
	public function index()
	{
		$data['newsletters'] = Newsletter::all();
		return View::make($_ENV['admin-url'].'.newsletter.index', $data);
	}
	
	public function store()
	{
		$input = Input::all();
        
        if ( ! $this->validator->isValidForCreation($input))
        {
            return Redirect::back()->withErrors($this->validator->getErrors())->withInput()
                           ->withNotification(['type' => 'danger', "text" => "La validation du formulaire a échouée, veuillez vérifier les informations."]);
        }
        else
        {
        	$newsletter = Newsletter::create($input);
        	$newsletter->country_id = 67;
        	$newsletter->save();
            
            return Redirect::route($_ENV['admin-url'].'.newsletter.index')
            			->withNotification(['type'=>'success', 'text'=>'L\'adresse email a bien été ajoutée à la liste d\'inscriptions ci-dessous']);
        }
	}
	
	public function export()
    {
    	$newsletter = Newsletter::all();
        header('Content-Type: text/csv; charset=utf-8');
        header('Content-Disposition: attachment; filename=data.csv');
        $output = fopen('php://output', 'w');
        fputcsv($output, array('id', 'email', 'updated_at'));
        
        foreach($newsletter as $row){
        	$array_row = array($row->id,$row->email,$row->updated_at);
        	fputcsv($output, $array_row);
        }
    }
	
	public function destroy($id)
	{
		if(!$newsletter = Newsletter::find($id)){return Redirect::route($_ENV['admin-url'].'.newsletter.index');}

		$newsletter->delete();

		return Redirect::back()
						->withNotification(['type' => 'danger', "text" => "L'adresse email liée à cette inscription a bien été supprimée"]);
	}

}