<?php
	
	class PhotosController extends \BaseController {
		
		public function __construct()
	    {
		    if(!Auth::user()->has_permission(48)){ return Redirect::route('admin'); }
	    }
	    
	    public function index(){
		    $data['photos'] = PhotoU::orderBy('position','asc')->get();
		    return View::make($_ENV['admin-url'].'.photos.index',$data);
	    }
	    	    
	    public function order(){
		    if(Request::ajax()){
			    $input = Input::all();
			       
			    $i = 1;
			    foreach($input['photo_ids'] as $p){
				    if($photo = PhotoU::find($p)){
					    $photo->position = $i;
					    $photo->save();
					    $i++;
				    }
			    }
			    
			    return 'ok';
		    }
		    return 'error';
	    }
	    
	    public function save(){
		    if(Request::ajax()){
			    $input = Input::all();
			       
				if(!$photo = PhotoU::find($input['photo_id'])) return 'error';
				
				$photo->title = $input['title'];
				$photo->description = $input['description'];
				$photo->save();
			    
			    return json_encode(array(
					'photo_id' => $photo->id,
					'title' => $photo->title,
					'description' => $photo->description,
			    ));
		    }
		    return 'error';		    
	    }
	    
	    public function upload(){
			$input = Input::all();
		
			if($input['Filedata']->getClientOriginalExtension() == 'jpg' || $input['Filedata']->getClientOriginalExtension() == 'jpeg' || $input['Filedata']->getClientOriginalExtension() == 'png'){
		        $filename = uniqid().'-'.str_replace(' ','_',$input['Filedata']->getClientOriginalName());
		        $upload_dir = public_path().'/uploads/photos/gallery/';
		        if($input['Filedata']->move($upload_dir, $filename))
		        {
					
					$photo = PhotoU::create(array(
						'name' => $filename,
						'position' => (count(PhotoU::all())+1)
					));
									            
					return json_encode(array(
			           'status' => 'ok',
			           'id' => $photo->id,
			           'src' => URL::route('photogallery',[200,200,$filename]),
		            ));
		        }
	        }
			else return json_encode(array(
			           'status' => 'error',
					   'message' => 'Veuillez choisir un bon format de fichier',
		            ));
	    }
	    
	    public function delete(){
		    if(Request::ajax()){
		    
		    	$input = Input::all();
		    	if(!$photo = PhotoU::find($input['photo_id'])) return 'error';
		    	
		    	unlink(public_path().'/uploads/photos/gallery/'.$photo->name);
		    	
		    	$photo->delete();
		    	
		    	$i = 1;
		    	foreach(PhotoU::orderBy('position','ASC')->get() as $p){
			    	$p->position = $i;
			    	$p->save();
			    	$i++;
		    	}
		    			    	
		    	return 'ok';
		    	
		    
			}
			return 'error';
	    }
		
	}