<?php
	
	class QuestionsController extends \BaseController {
		
		public function __construct()
	    {
		    if(!Auth::user()->has_permission(47)){ return Redirect::route('admin'); }
	    }
	    
	    public function index(){
		    $data['themes'] = QuestionTheme::all();
		    return View::make($_ENV['admin-url'].'.questions.index',$data);
	    }
	    
	    public function create_question(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
			    $question = Question::create(array(
				    'question_theme_id' => $input['question_theme_id'],
				    'question' => $input['question'],
				    'answer' => $input['answer'],
			    ));
			    
			    return json_encode(array(
				    'id' => $question->id,
				    'theme_id' => $question->question_theme_id,
				    'question' => $question->question,
				    'answer' => $question->answer,
				    'content' => $question->isAnswered().'&nbsp;&nbsp;'.$question->question,		    
			    ));
		    }
		    return 'error';
	    }
	    
	    public function update_question(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
				if(!$question = Question::find($input['question_id'])) return 'error';
				
				$question->update(array(
				    'question' => $input['question'],
				    'answer' => $input['answer'],					
				));
			    
			    return json_encode(array(
				    'id' => $question->id,
				    'question' => $question->question,
				    'answer' => $question->answer,
				    'content' => $question->isAnswered().'&nbsp;&nbsp;'.$question->question,			    
			    ));
		    }
		    return 'error';		    
	    }
	    
	    public function delete_question(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
				if(!$question = Question::find($input['question_id'])) return 'error';
				
				$question->delete();
			    
			    return 'ok';
			}
		    return 'error';			    
	    }
	    
	    public function question_retreive_infos(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
				if(!$question = Question::find($input['question_id'])) return 'error';
							    
			    return json_encode(array(
				    'question_id' => $question->id,
				    'question' => $question->question,
				    'answer' => $question->answer,			    
			    ));
		    }
		    return 'error';			    
	    }
	    
	    public function create_question_theme(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
			    $question_theme = QuestionTheme::create(array(
					'theme' => $input['theme'],
			    ));
			    
			    return json_encode(array(
				    'id' => $question_theme->id,
				    'theme' => $question_theme->theme,		    
			    ));
		    }
		    return 'error';		    
	    }
	    
	    public function update_question_theme(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
			    if(!$question_theme = QuestionTheme::find($input['theme_id'])) return 'error';
			    
			    $question_theme->update(array(
				    'theme' => $input['theme'],
			    ));
			    
			    return json_encode(array(
				    'name' => $question_theme->theme,		    
			    ));
		    }
		    return 'error';		    
	    }	    
	    
		public function delete_question_theme(){
		    if(Request::ajax()){
			    $input = Input::all();
			    
			    if(!$question_theme = QuestionTheme::find($input['theme_id'])) return 'error';
			    
			    $question_theme->delete();
			    
			    return 'ok';
		    }
		    return 'error';		    
	    }
	    
	}