<?php
	
	class RegistrationsController extends \BaseController {
		
		public function __construct()
	    {
		    if(!Auth::user()->has_permission(38)){ return Redirect::route('admin'); }
	    }
	    
	    public function index(){
		    $data['registrations'] = Registration::all();
		    return View::make($_ENV['admin-url'].'.registrations.index',$data);
	    }
	    
	    public function registration($id){
		    if(!$registration = Registration::find($id)) return Redirect::route('admin');	  
	    }
	    
	    public function export(){
		   			
			header("Content-type: application/vnd.ms-excel; charset=UTF-16LE");
			header("Content-disposition: attachment; filename=Inscriptions-Dior.csv");
			
			$output = fopen(public_path().'/csv-export/temp.csv', 'w+');
			fputcsv($output,array(
				'#',
				'Nom',
				'Prénom',
				'Email',
				'Date de naissance (JJ/MM/AAAA)',
				'Nationalité',
				'Numéro de passport',
				'Date d\'expiration du passport (JJ/MM/AAAA)',
				'Date arrivée aéroport',
				'Lettre invitation',
				'Adresse',
				'Complément d\'adresse',
				'Ville',
				'Code postal',
				'Pays',
				'Nom second participant',
				'Prénom second participant',
				'Restrictions alimentaires',
				'Information complémentaire',
				'Activité',
				'Commentaire'
			));
			
			foreach(Registration::orderBy('id','DESC')->get() as $r){
				fputcsv($output,array(
					$r->id,
					$r->surname,
					$r->firstname,
					$r->email,
					DateFunctions::format_date($r->date_of_birth),
					$r->nationality,
					$r->passport_number,
					($r->passport_date != '0000-00-00') ? DateFunctions::format_date($r->passport_date) : '' ,
					$r->date_airport,
					($r->invitation_letter == 'y') ? 'Oui' : 'Non',
					$r->address,
					$r->address_bis,
					$r->city,
					strval("'".$r->zip_code."'"),
					$r->country,
					$r->firstname_second,
					$r->surname_second,
					$r->dietary_restrictions,
					$r->desc_dietary_restrictions,
					$r->activity,
					$r->comment,
				));				
			}
			
			fclose($output);
			$ret = file_get_contents(public_path().'/csv-export/temp.csv');
			
			echo chr(255).chr(254).mb_convert_encoding( $ret, 'UTF-16LE', 'UTF-8');
			
			unlink(public_path().'/csv-export/temp.csv');
			
			die();
		}
		
		public function delete(){
			$input = Input::all();
			if(!$registration = Registration::find($input['registration_id'])) return Redirect::route('admin');
			
			$registration->delete();
			
			return 'ok';
			
		}
		
	}