<?php

use Alix\Services\Validation\SlideshowValidator as Validator;

class SlideshowsController extends \BaseController {
	
	protected $validator;

    public function __construct(Validator $validator)
    {
        $this->validator = $validator;
        $this->beforeFilter(function(){
	        if(!Auth::user()->has_permission(38)){ return Redirect::route('admin'); }
        });
    }
	    
	public function index()
	{
		$data['slideshows'] = Slideshow::all();
		return View::make($_ENV['admin-url'].'.slideshows.index', $data);
	}
	
	
	public function create()
	{
		return View::make($_ENV['admin-url'].'.slideshows.create');
	}
	
	public function store()
	{
		$input = Input::all();
        
        if ( ! $this->validator->isValidForCreation($input))
        {
            return Redirect::back()->withErrors($this->validator->getErrors())->withInput()
                           ->withNotification(['type' => 'danger', "text" => "La validation du formulaire a échoué, veuillez vérifier les informations."]);
        }
        else
        {
        	$slideshow = Slideshow::create(array(
				'name' => $input['name'],
			));
			
            return Redirect::route($_ENV['admin-url'].'.slideshows.index')
            			->withNotification(['type'=>'success', 'text'=>'Ce diaporama a bien été ajouté']);
        }
	}

	public function show($id)
	{
		if(!$slideshow = Slideshow::find($id)){return Redirect::route($_ENV['admin-url'].'.slideshows.index');}
		        
		return View::make($_ENV['admin-url'].'.slideshows.edit', compact('slideshow'));
	}
	
	public function update($id)
    {
		if(!$slideshow = Slideshow::find($id)){return Redirect::route($_ENV['admin-url'].'.slideshows.index');}
        
        $input = Input::all();
        
    	if ( ! $this->validator->isValidForUpdate($input))
        {
            return Redirect::back()->withErrors($this->validator->getErrors())->withInput()
                           ->withNotification(['type' => 'danger', "text" => "La validation du formulaire à échoué, veuillez vérifier les informations."]);
        }
        else
        {
        	$slideshow->update(array(
				'name' => $input['name'],
			));
			
			return Redirect::route($_ENV['admin-url'].'.slideshows.index')
                           ->withNotification(['type' => 'success', "text" => "Diaporama mis à jour"]);
        }
    }
	
	public function destroy($id)
	{
		if(!$slideshow = Slideshow::find($id)){return Redirect::route($_ENV['admin-url'].'.slideshows.index');}
		
		$slides = SlideshowSlide::where('slideshow_id','=',$id)->get();
		
		foreach($slides as $s) {
			SlideshowSlideLang::find($s->id)->delete();
		}
		
		SlideshowSlide::where('slideshow_id','=',$id)->delete();
		

		$slideshow->delete();
		
		return Redirect::back()
						->withNotification(['type' => 'danger', "text" => "Diaporama supprimé"]);
	}
	    	
}