<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddFieldsToProductsTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('products', function(Blueprint $table)
		{
			$table->dropColumn(['price2w', 'price4w', 'price8w']);
			$table->integer('price8');
			$table->integer('price40l');
			$table->boolean('published')->default(false);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('products', function(Blueprint $table)
		{
			$table->dropColumn(['price8', 'price40l', 'published']);
			$table->integer('price2w');
			$table->integer('price4w');
			$table->integer('price8w');
		});
	}

}
