<?php

class GeneralFunctions {

	public static function add_zero($var){
    	$var = round($var);
	    if($var<=9){$var = '0'.$var;}
	    return $var;
    }
    
    public static function simplexml_to_array($xmlobj) {
	    $a = array();
	    foreach ($xmlobj->children() as $node) {
	        if (is_array($node))
	            $a[$node->getName()] = GeneralFunctions::simplexml_to_array($node);
	        else
	            $a[$node->getName()] = (string) $node;
	    }
	    return $a;
	} 

	public static function simplexml_to_value($xmlobj) {
	    foreach ($xmlobj as $node) {
	        return $node.'<br />';
	    }
	}
	
	// Génére un nom propre pour les fichiers et photos
	public static function filecleanstring($str, $replace=array(), $delimiter='-') {
    	setlocale(LC_ALL, 'en_US.UTF8');
		if( !empty($replace) ) {$str = str_replace((array)$replace, ' ', $str);}
		$clean = iconv('UTF-8', 'ASCII//TRANSLIT', $str);
		$clean = preg_replace("/[^.a-zA-Z0-9\/_|+ -]/", '', $clean);
		$clean = strtolower(trim($clean, '-'));
		$clean = preg_replace("/[\/_|+ -]+/", $delimiter, $clean);
		$clean = strtolower(trim($clean, '-'));
	
		return $clean;
	}
	
	// Retourne une chaine nettoyee pour l'url (tous les caracteres speciaux remplacés par des - etc)
   	public static function cleanstring($str, $replace=array(), $delimiter='-') {
    	setlocale(LC_ALL, 'en_US.UTF8');
		if( !empty($replace) ) {$str = str_replace((array)$replace, ' ', $str);}
		$clean = iconv('UTF-8', 'ASCII//TRANSLIT', $str);
		$clean = preg_replace("/[^a-zA-Z0-9\/_|+ -]/", '', $clean);
		$clean = strtolower(trim($clean, '-'));
		$clean = preg_replace("/[\/_|+ -]+/", $delimiter, $clean);
		$clean = strtolower(trim($clean, '-'));
		return $clean;
	}
	
	public static function cleanCut($string,$length,$cutString = '(...)')
	{
		if(strlen($string) <= $length)
		{
			return $string;
		}
		$str = substr($string,0,$length-strlen($cutString)+1);
		return substr($str,0,strrpos($str,' ')).$cutString;
	}
	
	public static function my_ucwords($string, $encode = 'UTF-8') {
		$string = preg_replace_callback('#([- ]?)(\p{L}*)([- ]?)#', function($preg_datas){
			return $preg_datas[1].ucfirst($preg_datas[2]).$preg_datas[3];
		},$string);
		return $string;
	}
	
	public static function generateUrl($str, $replace=array(), $delimiter='-')
    {
        return self::cleanstring($str);
    }
	
	public static function get_month($month,$lng='fr'){
	    $array_months[1] = __('admin.janvier',array(),$lng);
	    $array_months[2] = __('admin.fevrier',array(),$lng);
	    $array_months[3] = __('admin.mars',array(),$lng);
	    $array_months[4] = __('admin.avril',array(),$lng);
	    $array_months[5] = __('admin.mai',array(),$lng);
	    $array_months[6] = __('admin.juin',array(),$lng);
	    $array_months[7] = __('admin.juillet',array(),$lng);
	    $array_months[8] = __('admin.aout',array(),$lng);
	    $array_months[9] = __('admin.septembre',array(),$lng);
	    $array_months[10] = __('admin.octobre',array(),$lng);
	    $array_months[11] = __('admin.novembre',array(),$lng);
	    $array_months[12] = __('admin.decembre',array(),$lng);
	    return $array_months[$month];
    }


    //Permet de couper un texte et mettre '...' 
    public static function trunque($string,$nb = 20)
	{
		if (strlen($string) > $nb) {
			$string = substr($string, 0, $nb);
			$position_espace = strrpos($string, " ");
			$texte = substr($string, 0, $position_espace); 
			$string = $texte." [...]";
		}
		return $string;
	}

	// Calcul le contraste couleur background-text
	public static function calc_brightness($color) {
	    $rgb = GeneralFunctions::hex2RGB($color);
	    return sqrt(
	       $rgb["red"] * $rgb["red"] * .299 +
	       $rgb["green"] * $rgb["green"] * .587 +
	       $rgb["blue"] * $rgb["blue"] * .114);          
	}

	public static function hex2RGB($hexStr, $returnAsString = false, $seperator = ',') {
      $hexStr = preg_replace("/[^0-9A-Fa-f]/", '', $hexStr); // Gets a proper hex string
      $rgbArray = array();
      if (strlen($hexStr) == 6) { //If a proper hex code, convert using bitwise operation. No overhead... faster
          $colorVal = hexdec($hexStr);
          $rgbArray['red'] = 0xFF & ($colorVal >> 0x10);
          $rgbArray['green'] = 0xFF & ($colorVal >> 0x8);
          $rgbArray['blue'] = 0xFF & $colorVal;
      } elseif (strlen($hexStr) == 3) { //if shorthand notation, need some string manipulations
          $rgbArray['red'] = hexdec(str_repeat(substr($hexStr, 0, 1), 2));
          $rgbArray['green'] = hexdec(str_repeat(substr($hexStr, 1, 1), 2));
          $rgbArray['blue'] = hexdec(str_repeat(substr($hexStr, 2, 1), 2));
      } else {
          return false; //Invalid hex color code
      }
      return $returnAsString ? implode($seperator, $rgbArray) : $rgbArray; // returns the rgb string or the associative array
	}

	public static function random_str($nbr) {
		$str = "";
		$chaine = "abcdefghijklmnpqrstuvwxy0123456789";
		$nb_chars = strlen($chaine);

		for($i=0; $i<$nbr; $i++) {
			$str .= $chaine[ rand(0, ($nb_chars-1)) ];
		}

		return $str;
	}
	
	public static function currency_rates(){
		$json = file_get_contents('http://query.yahooapis.com/v1/public/yql?q=select%20%2a%20from%20yahoo.finance.xchange%20where%20pair%20in%20%28%22EURUSD%22,%20%22EURGBP%22,%20%22EURCHF%22,%20%22EURRUB%22%29&env=store://datatables.org/alltableswithkeys&format=json');
		$data = json_decode($json);
		
		$array_output['EURUSD'] = $data->query->results->rate[0]->Rate;
		$array_output['EURGBP'] = $data->query->results->rate[1]->Rate;
		$array_output['EURCHF'] = $data->query->results->rate[2]->Rate;
		$array_output['EURRUB'] = $data->query->results->rate[3]->Rate;
		return $array_output;
	}
	
	public static function getCurlData($url)
	{
		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $url);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($curl, CURLOPT_TIMEOUT, 10);
		curl_setopt($curl, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.16) Gecko/20110319 Firefox/3.6.16");
		$curlData = curl_exec($curl);
		curl_close($curl);
		return $curlData;
	}
    
}