@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Articles du blog
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="gi gi-file"></i>Articles du blog<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Articles du blog</li>
</ul>

@include('includes.notification')

@if($categoriesblog->isEmpty())
<p>
    <em>Vous devez d'abord <a href="{{ route($_ENV['admin-url'].'.categoriesblog.create') }}">créer une catégorie</a>.</em>
</p>
@else
<div class="row">
	<?php $k=0; ?>
    @foreach($categoriesblog as $category)
    <?php $k++; ?>
    <div class="col-xs-12 col-sm-6 col-lg-4">
		<div class="block">
			<div class="block-title">
				<div class="block-options pull-right">
					<a class="btn btn-alt btn-sm btn-default" data-original-title="Ajouter un article" title="" data-toggle="tooltip" href="{{ route($_ENV['admin-url'].'.blog.create', $category->id) }}">
						<i class="fa fa-plus"></i>
					</a>					
				</div>
				<h2>{{ $category->name }}</h2>
			</div>
			@if($category->blog->isEmpty())
			<p>Cette catégorie ne contient aucun article.</p>
			@else
			<ul class="media-list">
			<?php $i=1 ?>
			@foreach($category->blog as $article)
				<li class="widget-simple" style="background-color:#EFEFEF;margin-bottom:8px;">
					<h4 class="widget-content pull-left">
						@if($article->featured==1)
	                    <span class="label label-success">À la une!</span>
	                    @endif
	                    <a href="{{ route($_ENV['admin-url'].'.blog.edit', array($article->id)) }}"><strong>{{ $article->title }}</strong></a>
						<small>
							<a class="text-muted" href="{{ route($_ENV['admin-url'].'.blog.edit', array($article->id)) }}">Modifier</a> - 
							<a class="text-danger" href="{{ route($_ENV['admin-url'].'.blog.destroy', array($article->id)) }}" onclick="return confirm('Etes-vous sur?')">Supprimer</a>
						</small>
					</h4>
					<a href="{{ route($_ENV['admin-url'].'.blog.edit', array($article->id)) }}" class="widget-icon pull-right animation-fadeIn">
						<?php
				        if($photo = $article->photosfirst()){
				            echo '<img src="'.URL::route('photoblog', ['60', '60', $photo->name]).'" class="img-circle" />';
				        } else {
					        echo '<img src="http://placehold.it/60x60/394263/ffffff&text=Blog" class="img-circle" />';
				        }
						?>
					</a>
				</li>
			<?php $i++; ?>
			@endforeach
			</ul>
			@endif
		</div>
	</div>
    @if($k%3==0)
    <div class="clearfix visible-ms-block"></div>
	@endif
    @endforeach
</div>
@endif

@stop