@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Catégories du blog
@stop


@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="gi gi-list"></i> Catégories du blog<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Catégories du blog</li>
</ul>

@include('includes.notification')

<p>
    <a class="btn btn-default" href="{{ route($_ENV['admin-url'].'.categoriesblog.create') }}"><i class="fa fa-plus"></i> Ajouter une nouvelle catégorie au blog</a>
</p>
@if($categoriesblog->isEmpty())
<p>
    <em>Pas de catégorie</em>
</p>
@else
<div class="block full">
    <div class="block-content-full">
        <div class="table-responsive">
            <table id="categories" class="table table-vcenter table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th>Nom</th>
                        <th>Position</th>
                        <th>Description</th>
                        <th>Mots Clés</th>
                        <th class="text-right">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($categoriesblog as $category)
                    <tr>
                        <td class="text-center">{{ $category->id }}</td>
                        <td>{{ $category->name }}</td>
                        <td>{{ $category->position }}</td>
                        <td>{{ $category->description }}</td>
                        <td>{{ $category->keywords }}</td>
                        <td class="text-right">
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route($_ENV['admin-url'].'.categoriesblog.edit', array($category->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Modifier"><i class="gi gi-pencil"></i></a>
                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.categoriesblog.destroy', array($category->id)) }}" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endif
@stop


@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();

    /* Initialize Datatables */
    $('#categories').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 5 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 2, "asc" ]]
    });

    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop