@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Nouvelle Catégorie de produits
@stop


@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="gi gi-tags"></i>Catégories de produits<br>
            <small>Nouvelle Catégorie</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li><a href="{{ route($_ENV['admin-url'].'.categoriesproduits.index') }}">Catégories de produits</a></li>
    <li>Nouvelle Catégorie</li>
</ul>

@include('includes.notification')

<!-- Example Block -->
<div class="block">
    <!-- Example Title -->
    <div class="block-title">
        <h2>Catégorie de produits</h2>
    </div>
    <!-- END Example Title -->

    {{ Form::open(['route' => $_ENV['admin-url'].'.categoriesproduits.store', 'class' => 'form-horizontal form-bordered', 'enctype'=>'multipart/form-data']) }}
    @include($_ENV['admin-url'].'.categoriesproduits._form')

    <div>
        <!-- Default Tabs -->
        <ul class="nav nav-tabs push" data-toggle="tabs">
            @foreach($languages as $language)
            <li<?php echo $language->id == 1 ? ' class="active"' : null ?>><a href="#tab-{{ $language->short }}"><i class="fa fa-flag"></i> {{ $language->name }}</a></li>
            @endforeach
            <li><a href="#tab-photos"><i class="fa fa-picture-o"></i> Photos</a></li>
            <li><a href="#tab-pages"><i class="fa fa-files-o"></i> Pages associées (guides)</a></li>
        </ul>
        <div class="tab-content">
            @foreach($languages as $language)
            <div class="tab-pane<?php echo $language->id == 1 ? ' active' : null ?>" id="tab-{{ $language->short }}">
                @include($_ENV['admin-url'].'.categoriesproduits._lang_form')
            </div>
            @endforeach
            <div class="tab-pane" id="tab-photos">
	        	@include($_ENV['admin-url'].'.categoriesproduits._photos')
	        </div>
            <div class="tab-pane" id="tab-pages">
	        	@include($_ENV['admin-url'].'.categoriesproduits._guides')
	        </div>
        </div>
        <!-- END Default Tabs -->
    </div>
    <div class="form-group form-actions">
        <div class="col-md-9 col-md-offset-3">
            <a class="btn btn-default" href="{{ URL::route($_ENV['admin-url'].'.categoriesproduits.index') }}"><i class="fa fa-angle-left"></i> Retour</a>
            <button type="submit" class="btn btn-primary"><i class="fa fa-angle-right"></i> Envoyer</button>
        </div>
    </div>
    
    {{ Form::close() }}
</div>
<!-- END Example Block -->
@stop