@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Modification d'un contact
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-envelope"></i>Contact<br>
            <small>Modification</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li><a href="{{ URL::route($_ENV['admin-url'].'.contacts.index') }}">Contacts</a></li>
	<li>#{{$contact->id}}</li>
    <li>Modification</li>
</ul>

@include('includes.notification')

<!-- Example Block -->
<div class="">
	<div class="row">
	 
		 <div class="col-md-6">
	        <div class="block">
	            <div class="block-title">
	                <h2>{{ $contact->name }} <small>{{ $contact->created_at }} - <strong>{{ $contact->created_at->diffForHumans() }}</strong></small></h2>
	            </div>
	            <div class="block-content">
	                <table class="table table-borderless table-striped">
	                    <tbody>
			                <tr>
		                        <td><strong>name</strong></td>
		                        <td>{{ $contact->name }}</td>
		                    </tr>
			                <tr>
		                        <td><strong>Language</strong></td>
		                        <td>{{ $contact->language->name }}</td>
		                    </tr>
		                    <tr>
		                        <td><strong>Phone</strong></td>
		                        <td>{{ $contact->phone!='' ? $contact->phone : '-' }}</td>
		                    </tr>
		                    <tr>
		                        <td><strong>Email</strong></td>
		                        <td><a href="mailto:{{$contact->email}}">{{$contact->email}}</a></td>
		                    </tr>
		                    <tr>
		                        <td><strong>Message</strong></td>
		                        <td>&nbsp;</td>
		                    </tr>
		                    <tr><td colspan="2" class="text-justify">{{ $contact->message }}</td></tr>
	                    </tbody>
	                </table>
	            </div>
	        </div>
	    </div>
	    
	    <div class="col-md-6">
		    <div class="block">
			    <!-- Example Title -->
			    <div class="block-title">
			        <h2>Mettre à jour la fiche de contact</h2>
			    </div>
			    <!-- END Example Title -->
			
				{{ Form::model($contact ,['method' => 'PUT', 'route' => [$_ENV['admin-url'].'.contacts.update', $contact->id ], 'class' => 'form-horizontal form-bordered', 'enctype'=>'multipart/form-data']) }}
				    
			    <div class="form-group<?php if($errors->has('traite')) { echo ' has-error'; } ?>">
				    <label class="col-md-3 control-label" for="traite">Traité ?</label>
				    <div class="col-md-9">
				        <label class="switch switch-primary"><input type="checkbox" name="traite" value="1" <?php echo (isset($contact) && $contact->traite==1) ? 'checked' : ''; ?>><span></span></label>
				    </div>
				</div>
			    	
			    <div class="form-group form-actions">
			        <div class="col-md-9 col-md-offset-3">
			            <a class="btn btn-default" href="{{ URL::route($_ENV['admin-url'].'.contacts.index') }}"><i class="fa fa-angle-left"></i> Retour</a>
			            <button type="submit" class="btn btn-primary"><i class="fa fa-angle-right"></i> Sauvegarder</button>
			        </div>
			    </div>
				
				 {{ Form::close() }}
		    </div>
		</div>
	    
	</div>
</div>

@stop