@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Contacts
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-envelope"></i>Contacts<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Contacts</li>
</ul>

@include('includes.notification')

@if($contacts->isEmpty())
<p>
    <em>Aucune demande de contact pour le moment.</em>
</p>
@else
<div class="block full">
    <div class="block-content-full">
        <div class="table-responsive">
            <table id="contacts" class="table table-vcenter table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Langue</th>
                        <th>Nom</th>
                        <th>Informations</th>
                        <th>Message</th>
                        <th>Traité ?</th>
                        <th>Créé le</th>
                        <th class="text-right">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($contacts as $o)
                    <tr>
                        <td>{{ $o->id }}</td>
                        <td>{{ $o->language->name }}</td>
                        <td>{{ $o->name }}</td>
                        <td><i class="fa fa-envelope"></i> <a href="mailto:{{ $o->email }}">{{ $o->email }}</a><br><i class="fa fa-phone"></i> {{ $o->phone!='' ? $o->phone : '-' }}</td>
                        <td><a href="{{ route($_ENV['admin-url'].'.contacts.show', array($o->id)) }}">{{ \GeneralFunctions::cleancut($o->message, 50) }}</a> <i class="fa fa-search"></i></td>
                        <td>
	                        @if($o->traite=='1')
	                        <span class="label label-success">Oui</span>
	                        @else
	                        <span class="label label-danger">Non</span>
	                        @endif
                        </td>
                        <td>{{ $o->created_at }} - <strong>{{ $o->created_at->diffForHumans() }}</strong></td>
                        <td class="text-right">
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route($_ENV['admin-url'].'.contacts.show', array($o->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Details"><i class="hi hi-search"></i></a>
                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.contacts.destroy', array($o->id)) }}" type="submit" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endif
@stop

@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();
    /* Initialize Datatables */
    $('#contacts').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 7 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 2, "asc" ]]
    });
    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop