<script src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;libraries=places"></script>
<script src="{{URL::asset('/js/jquery.geocomplete.js')}}"></script>

<style type="text/css" media="screen">
	.map_canvas { height:300px; width:100%; margin-top:20px; }
	.map_canvas:after{
		content: "Tapez un lieu ci-dessus.";
		padding-top: 140px;
		display: block;
		text-align: center;
		font-size: 2em;
		color: #999;
	}
</style>

<div>
    <ul class="nav nav-tabs push" data-toggle="tabs">
        <li class="active"><a href="#tab-infos">Informations générales</a></li>
        <li><a href="#tab-photos"><i class="fa fa-picture-o"></i> Photos</a></li>
        <li><a href="#tab-files"><i class="fa fa-file-o"></i> Documents</a></li>
        <?php $i=0; ?>
        @foreach($languages as $language)
        <?php $i++; ?>
        <li><a href="#tab-{{ $language->short }}">Texte "{{ $language->name }}"</a></li>
        @endforeach
        <li><a href="#tab-suggestions">Autres suggestions</a></li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane active" id="tab-infos">
			<div class="form-group<?php if($errors->has('reference')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'reference' }}">N° Référence</label>
			    <div class="col-md-4">
					{{ Form::text('reference', Input::old('reference', (isset($annonce) ? $annonce->reference : NULL)), ['id'=>'reference', 'class' => 'form-control']) }}
					{{ $errors->first('reference', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group">
			    <label class="col-md-3 control-label" for="is_vente">En vente?</label>
			    <div class="col-md-4">
					<label class="switch switch-primary"><input type="checkbox" name="is_vente" value="1" <?php echo (isset($annonce) && $annonce->is_vente==1) ? 'checked' : ''; ?>><span></span></label>
			    </div>
			</div>
			<div class="form-group">
			    <label class="col-md-3 control-label" for="is_location">En location?</label>
			    <div class="col-md-4">
					<label class="switch switch-primary"><input type="checkbox" name="is_location" value="1" <?php echo (isset($annonce) && $annonce->is_location==1) ? 'checked' : ''; ?>><span></span></label>
			    </div>
			</div>
        	<div class="form-group<?php if($errors->has('type_annonce_id')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'type_annonce_id' }}">Type d'annonce</label>
			    <div class="col-md-4">
					{{ Form::select('type_annonce_id', $types, Input::old('type_annonce_id', (isset($annonce) ? $annonce->type_annonce_id : NULL)), ['id'=>'type', 'class' => 'form-control']) }}
					{{ $errors->first('type_annonce_id', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('quartier_id')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'quartier_id' }}">Quartier</label>
			    <div class="col-md-4">
					{{ Form::select('quartier_id', $quartiers, Input::old('quartier_id', (isset($annonce) ? $annonce->quartier_id : NULL)), ['id'=>'quartier_id', 'class' => 'form-control']) }}
					{{ $errors->first('quartier_id', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('published')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="published">Publié sur le site</label>
			    <div class="col-md-9">
			        <label class="switch switch-primary"><input type="checkbox" name="published" value="1" <?php echo (isset($annonce) && $annonce->published==1) ? 'checked' : ''; ?>><span></span></label>
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('prix')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'prix' }}">Prix</label>
			    <div class="col-md-6">
				    <div class="input-group" style="max-width:220px;">
						<input type="number" name="prix" value="{{ Input::old('prix', (isset($annonce) ? $annonce->prix : NULL)) }}" placeholder="1 900 000" style="text-align:right;" class="form-control" />
						<span class="input-group-addon">&euro;</span>
					</div>
					{{ $errors->first('prix', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('surface_totale')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'surface_totale' }}">Surface totale</label>
			    <div class="col-md-6">
				    <div class="input-group" style="max-width:120px;">
						{{ Form::text('surface_totale', Input::old('surface_totale', (isset($annonce) ? $annonce->surface_totale : NULL)), ['style'=>'text-align:right;', 'id'=>'surface_totale', 'class' => 'form-control']) }}
						<span class="input-group-addon">m<sup>2</sup></span>
					</div>
					{{ $errors->first('surface_totale', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('surface_habitable')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'surface_habitable' }}">Surface habitable</label>
			    <div class="col-md-6">
				    <div class="input-group" style="max-width:120px;">
						{{ Form::text('surface_habitable', Input::old('surface_habitable', (isset($annonce) ? $annonce->surface_habitable : NULL)), ['style'=>'text-align:right;', 'id'=>'surface_habitable', 'class' => 'form-control']) }}
						<span class="input-group-addon">m<sup>2</sup></span>
					</div>
					{{ $errors->first('surface_habitable', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('surface_terrasse')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'surface_terrasse' }}">Surface terrasse</label>
			    <div class="col-md-6">
				    <div class="input-group" style="max-width:120px;">
						{{ Form::text('surface_terrasse', Input::old('surface_terrasse', (isset($annonce) ? $annonce->surface_terrasse : NULL)), ['style'=>'text-align:right;', 'id'=>'surface_terrasse', 'class' => 'form-control']) }}
						<span class="input-group-addon">m<sup>2</sup></span>
					</div>
					{{ $errors->first('surface_terrasse', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('disponibilite')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'disponibilite' }}">Disponibilité</label>
			    <div class="col-md-3">
				    <div class="input-group">
					    {{ Form::text('disponibilite', Input::old('disponibilite', (isset($annonce) ? $annonce->disponibilite : '')), ['class'=>'datepicker form-control','id'=>'disponibilite']) }}
					    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
					</div>
				    {{ $errors->first('surface_habitable', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('nb_pieces')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'nb_pieces' }}">Nombre de pièces</label>
			    <div class="col-md-2">
					{{ Form::select('nb_pieces', $nbr_boucle, Input::old('nb_pieces', (isset($annonce) ? $annonce->nb_pieces : NULL)), ['id'=>'nb_pieces', 'class' => 'form-control']) }}
					{{ $errors->first('nb_pieces', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('nb_chambres')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'nb_chambres' }}">Nombre de chambres</label>
			    <div class="col-md-2">
					{{ Form::select('nb_chambres', $nbr_boucle, Input::old('nb_chambres', (isset($annonce) ? $annonce->nb_chambres : NULL)), ['id'=>'nb_chambres', 'class' => 'form-control']) }}
					{{ $errors->first('nb_chambres', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('parking')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'parking' }}">Parking</label>
			    <div class="col-md-2">
					{{ Form::select('parking', $nbr_boucle, Input::old('parking', (isset($annonce) ? $annonce->parking : NULL)), ['id'=>'parking', 'class' => 'form-control']) }}
					{{ $errors->first('parking', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('cave')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'cave' }}">Cave</label>
			    <div class="col-md-2">
					{{ Form::select('cave', $nbr_boucle, Input::old('cave', (isset($annonce) ? $annonce->cave : NULL)), ['id'=>'cave', 'class' => 'form-control']) }}
					{{ $errors->first('cave', '<span class="help-block">:message</span>') }}
			    </div>
			</div>
			<div class="form-group<?php if($errors->has('address')) { echo ' has-error'; } ?>">
			    <label class="col-md-3 control-label" for="{{ 'address' }}">Géolocalisation *</label>
			    <div class="col-md-6">
					{{ Form::text('address', Input::old('address', (isset($annonce) ? $annonce->address : '')), array('id'=>'select2Tags','class'=>'searchChamp1 form-control','placeholder'=>'Saisir une adresse / une ville / ...')); }}
					<div class="map_canvas"></div><br>
			    </div>
			</div>
			<div class="details">
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Latitude</label>
				    <div class="col-md-2">{{ Form::text('latitude', isset($annonce) ? $annonce->latitude : '', ['class'=>'form-control geo-lat','data-geo'=>'lat', 'readonly'=>'readonly']); }}</div>
				</div>
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Longitude</label>
				    <div class="col-md-2">{{ Form::text('longitude', isset($annonce) ? $annonce->longitude : '', ['class'=>'form-control geo-lng','data-geo'=>'lng', 'readonly'=>'readonly']); }}</div>
				</div>
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Intitulé</label>
				    <div class="col-md-5">{{ Form::text('address', isset($annonce) ? $annonce->address : '', ['class'=>'form-control geo-address','data-geo'=>'formatted_address', 'readonly'=>'readonly']); }}</div>
				</div>
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Viewport</label>
				    <div class="col-md-5">{{ Form::text('viewport', isset($annonce) ? $annonce->viewport : '', ['class'=>'form-control geo-viewport','data-geo'=>'viewport', 'readonly'=>'readonly']); }}</div>
				</div>
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Code pays</label>
				    <div class="col-md-2">{{ Form::text('country_code', isset($annonce) ? $annonce->country_code : '', ['class'=>'form-control geo-country-short','data-geo'=>'country_short', 'readonly'=>'readonly']); }}</div>
				</div>
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Ville</label>
				    <div class="col-md-3">{{ Form::text('locality', isset($annonce) ? $annonce->locality : '', ['class'=>'form-control geo-locality','data-geo'=>'locality', 'readonly'=>'readonly']); }}</div>
				</div>
				<div class="form-group">
				    <label class="col-md-3 control-label" for="">Région</label>
				    <div class="col-md-3">{{ Form::text('state', isset($annonce) ? $annonce->state : '', ['class'=>'form-control geo-state','data-geo'=>'administrative_area_level_1', 'readonly'=>'readonly']); }}</div>
				</div>
			</div>
        </div>
        <div class="tab-pane" id="tab-photos">
        	@include($_ENV['admin-url'].'.demandes._photos')
        </div>
        <div class="tab-pane" id="tab-files">
        	@include($_ENV['admin-url'].'.demandes._files')
        </div>
        @foreach($languages as $language)
        <div class="tab-pane" id="tab-{{ $language->short }}">
            @include($_ENV['admin-url'].'.demandes._lang_form')
        </div>
        @endforeach
        <div class="tab-pane" id="tab-suggestions">
	        <div class="form-group">
			    <label class="col-md-3 control-label">Autres produits suggérés</label>
				<div class="col-md-9">
				@if(count($annonces)>=1)
				    <?php 
					$annonce_suggestions = array();
					if(isset($annonce))
					{
						foreach ($annonce->annonces() as $r)
							$annonce_suggestions[] = $r->annonce2_id;
					}
					?>
					<select name="annonces[]" class="select-chosen" data-placeholder="Rechercher" style="display:none;" multiple="">
						@foreach($annonces as $r)
						<option value="{{ $r->id }}"<?php echo (in_array($r->id, $annonce_suggestions)) ? ' selected="selected"' : '' ?>>{{ $r->getAttr('name') }}</option>
						@endforeach
					</select>
					<span class="help-block"><i class="fa fa-warning"></i> Il est impératif de <a href="{{URL::route($_ENV['admin-url'].'.demandes.create')}}" target="_blank">créer la/les annonce(s) concernée(s)</a> avant de pouvoir la/les lier à cette annonce.</span>
				@else
					<label class="col-md-9 control-label" style="text-align:left;">Aucune annonce proposée sur le site. <a href="{{URL::route($_ENV['admin-url'].'.demandes.create')}}">Créer une annonce</a></label>
				@endif
			    </div>
			</div>
        </div>
    </div>
</div>
<script type="text/javascript">
$('.datepicker').datepicker({
	format: 'yyyy-mm-dd'
});
@if(isset($annonce))
var position = ['{{$annonce->latitude}}','{{$annonce->longitude}}'];
@elseif(Input::old('latitude')!='' && Input::old('longitude')!='')
var position = ['{{Input::old("latitude")}}','{{Input::old("longitude")}}'];
@else
var position = '';
@endif
$('#select2Tags').geocomplete({
	map: ".map_canvas",
	details: '.details',
	detailsAttribute: 'data-geo',
	markerOptions: {
		draggable: true
	},
	location: position
});
$("#select2Tags").bind("geocode:dragged", function(event, latLng){
	$("input[name=latitude]").val(latLng.lat());
	$("input[name=longitude]").val(latLng.lng());
});
$('.form-horizontal').submit(function(){
	if( $('.geo-lat').val()!='' && $('.geo-lng').val()!='' && $('.searchChamp1').val()!='' ){
		valid = true;
	} else {
		$('#select2Tags').css('border-color','#F55');
		alert('Veuillez saisir le lieu exact');
		return false;
	}
	if(valid==true){
		return true;
	}
});
</script>

@section('scripts')
@parent

<script src="{{ asset('assets/admin/js/ckeditor/ckeditor.js') }}"></script>
<script src="{{ asset('assets/admin/js/ckeditor/adapters/jquery.js') }}"></script>
<script type="text/javascript">
var nb_editor = <?=($i*1)+1?>;
var cfg_editor = {
	fullPage : false,
	height : 400,
	language: 'fr',
	toolbar: [
		{ name: 'document', groups: [ 'mode', 'document', 'doctools' ], items: [ 'Source', '-', 'Save', 'NewPage', 'Preview', 'Print', '-', 'Templates' ] },
		{ name: 'clipboard', groups: [ 'clipboard', 'undo' ], items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo' ] },
		{ name: 'editing', groups: [ 'find', 'selection', 'spellchecker' ], items: [ 'Find', 'Replace', '-', 'SelectAll', '-', 'Scayt' ] },
		{ name: 'forms', items: [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField' ] },
		'/',
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ], items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ], items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'BidiLtr', 'BidiRtl', 'Language' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe' ] },
		'/',
		{ name: 'styles', items: [ 'Format', 'FontSize' ] },
		//{ name: 'styles', items: [ 'Styles', 'Format', 'Font', 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] },
		{ name: 'others', items: [ '-' ] },
		{ name: 'about', items: [ 'About' ] }
	],
	//contentsCss : '/assets/admin/js/ckeditor/samples/assets/outputxhtml/outputxhtml.css',
	contentsCss : ['//maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css', '/css/style.css']
}
for (var i = 1; i < nb_editor; i++) {
	CKEDITOR.replace( 'editor1'+i, cfg_editor);
};
</script>

<script type="text/javascript">
$('#sortable2, #sortable3').sortable({
	placeholder: "ui-state-highlight"
});
// Evite le bug Firefox du clic sur le select
$('#sortable2 select, #sortable3 select').bind('click.sortable mousedown.sortable',function(ev){
	ev.target.focus();
});

var upload_script = '<?php echo URL::route('postannoncephotosfiles'); ?>';

$(document).ready(function() {
	if(typeof(upload_script)!='undefined' && upload_script!=''){
	    $('#file_upload2').uploadifive({
			'auto'             : true,
			'buttonClass'      : 'btn',
			'buttonText'       : 'Ajouter des images',
			'removeCompleted' : true,
			'queueID'          : 'queue2',
			'height'           : 'auto',
			'width'            : 'auto',
			'uploadScript'     : upload_script,
			'formData': {'type':'photo'},
			'onUploadComplete' : function(file, data) {
				var r = data.split("|");
				$('#sortable2').append('<li class="col-xs-12 col-sm-4"><input type="hidden" name="photos[]" value="'+r[0]+'"><p class="text-center"><img src="'+r[1]+'" alt=""></p><p class="text-center"><a href="#" class="btn btn-danger delete_file">Supprimer</a></p></li>');
				update_delete_nico();
			}
		});
		$('#file_upload3').uploadifive({
			'auto'             : true,
			'buttonClass'      : 'btn',
			'buttonText'       : 'Ajouter des documents',
			'removeCompleted' : true,
			'queueID'          : 'queue3',
			'height'           : 'auto',
			'width'            : 'auto',
			'uploadScript'     : upload_script,
			'formData': {'type':'file'},
			'onUploadComplete' : function(file, data) {
				var r2 = data.split("|");
				$('#sortable3').append('<li class="col-xs-12 col-sm-3"><input type="hidden" name="files[]" value="'+r2[0]+'"><p class="text-center">'+file.name+'</p><p><select name="language_'+r2[0]+'" class="form-control"><option value="0">Toutes les langues</option><option value="1">Français</option><option value="2">Anglais</option><option value="3">Italien</option><option value="4">Russe</option></select></p><p class="text-center"><a href="#" class="btn btn-danger delete_file">Supprimer</a></p></li>');
				update_delete_nico();
			}
		});
    }
});
</script>

@stop