@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Demandes d'informations
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-bell-o"></i>{{ $demande->last_name.' '.$demande->first_name }} <small>Demande d'informations</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li><a href="{{ route($_ENV['admin-url'].'.demandes.index') }}">Demandes d'informations</a></li>
    <li>Demande #{{$demande->id}}</li>
</ul>

@include('includes.notification')

<div class="row">
	<div class="col-xs-12 col-md-6">
		<div class="block">
		    <div class="block-title"><h2>Membre concerné</h2></div>
		    
		    <form class="form-horizontal form-bordered">
			    <div class="form-group">
				    <label class="col-md-3 control-label">Nom</label>
					<div class="col-md-8"><input type="text" disabled value="{{$demande->last_name}}" class="form-control" /></div>
			    </div>
			    <div class="form-group">
				    <label class="col-md-3 control-label">Prénom</label>
					<div class="col-md-8"><input type="text" disabled value="{{$demande->first_name}}" class="form-control" /></div>
			    </div>
			    <div class="form-group">
				    <label class="col-md-3 control-label">Email</label>
					<div class="col-md-8"><input type="text" disabled value="{{$demande->email}}" class="form-control" /></div>
			    </div>
			    <div class="form-group">
				    <label class="col-md-3 control-label">N° téléphone</label>
					<div class="col-md-8"><input type="text" disabled value="{{$demande->tel}}" class="form-control" /></div>
			    </div>
			    <div class="form-group" style="border:none;">
				    <label class="col-md-3 text-right">Message</label>
					<div class="col-md-8"><p style="width:100%; text-align:justify;">{{$demande->message}}</p></div>
			    </div>
		    </form>
		</div>
	</div>
	<div class="col-xs-12 col-md-6">
		<div class="block">
		    <div class="block-title"><h2>Annonce concernée</h2></div>
		    
		    <form class="form-horizontal form-bordered">
			    <div class="form-group">
				    <label class="col-md-4 text-right">Notification</label>
					<div class="col-md-8">
						@if($demande->notif=='1')
						<span class="label label-success">Souhaite être notifié pour les annonces similaires</span>
						@else
						<span class="label label-danger">Ne souhaite pas être notifié pour les annonces similaires</span>
						@endif
					</div>
			    </div>
			    <div class="form-group">
				    <label class="col-md-4 text-right">Annonce</label>
					<div class="col-md-8"><a href="{{ URL::route($_ENV['admin-url'].'.annonces.show', [$demande->annonce->id]) }}" target="_blank">{{$demande->annonce->getAttr('name')}}</a></div>
			    </div>
			    <div class="form-group">
				    <label class="col-md-4 text-right">Prix</label>
					<div class="col-md-8">Critère à définir (serialize "criteres" column)</div>
			    </div>
			    <div class="form-group">
				    <label class="col-md-4 text-right">Surface</label>
					<div class="col-md-8">Critère à définir (serialize "criteres" column)</div>
			    </div>
			    <div class="form-group form-actions">
					<div class="col-md-8 col-md-offset-4"><a class="btn btn-default" href="{{ URL::route($_ENV['admin-url'].'.annonces.show', [$demande->annonce->id]) }}" target="_blank"><i class="fa fa-map-marker"></i> Fiche annonce</a></div>
			    </div>
		    </form>
		</div>
	</div>
</div>

<div>
	<a class="btn btn-default pull-left" href="{{ URL::route($_ENV['admin-url'].'.demandes.index') }}"><i class="fa fa-angle-left"></i> Retour</a>
    <a class="btn btn-default pull-right" onclick="return confirm('Etes-vous sur?')" href="{{ URL::route($_ENV['admin-url'].'.demandes.destroy', array($demande->id)) }}"><i class="fa fa-trash"></i> Supprimer définitivement</a>
	<br /><br />
</div>

@stop