<!DOCTYPE html>
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
    <head>
        <meta charset="utf-8">

        <title>
        @yield('title')
        - Dior
        </title>

        <meta name="description" content="Prime Golf Academy Administration">
        <meta name="robots" content="noindex, nofollow">
        <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1.0">
        <link href="{{asset('/image/icone.ico');}}" rel="shortcut icon">

        @section('styles')
	        <!-- Stylesheets -->
	        <!-- Bootstrap is included in its original form, unaltered -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/bootstrap.min.css') }}">
	
	        <!-- Related styles of various icon packs and plugins -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/plugins.css') }}">
	
	        <!-- The main stylesheet of this template. All Bootstrap overwrites are defined in here -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/main.css') }}">
			<!-- Include a specific file here from css/themes/ folder to alter the default theme of the template -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/themes/night.css') }}">
	        <!-- The themes stylesheet of this template (for using specific theme color in individual elements - must included last) -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/themes.css') }}">
	        <!-- END Stylesheets -->
	        
	        <!-- Datepicker css -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/datepicker.css') }}">
	        
	        <!-- Fileupload css -->
	        <link rel="stylesheet" href="{{ asset('assets/admin/css/uploadifive.css') }}">
	        
	        <!-- Jasny fileupload -->
	        <link rel="stylesheet" href="{{ asset('jasny/css/jasny-bootstrap.min.css') }}">
        @show
        
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
        <script src="{{ URL::asset('jquery-ui/js/jquery-ui-1.10.3.custom.min.js'); }}"></script>
        <link rel="stylesheet" href="{{ URL::asset('jquery-ui/css/ui-lightness/jquery-ui-1.10.3.custom.min.css'); }}" />
        <!-- Datepicker js -->
        <script type="text/javascript" language="javascript" src="{{ asset('assets/admin/js/bootstrap-datepicker.js'); }}"></script>
		<!-- Fileupload js (Jasny) -->
        <script type="text/javascript" language="javascript" src="{{ asset('jasny/js/jasny-bootstrap.min.js'); }}"></script>
        <!-- Modernizr (browser feature detection library) & Respond.js (Enable responsive CSS code on browsers that don't support it, eg IE8) -->
        <script src="{{ asset('assets/admin/js/vendor/modernizr-2.7.1-respond-1.4.2.min.js') }}"></script>
        <link href="//netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css" rel="stylesheet">
        <!-- site.js -->
        <script src="{{ asset('assets/admin/js/site.js') }}"></script>
    </head>
    <body>
        <!-- Page Container -->
        <!-- In the PHP version you can set the following options from inc/config.html file -->
        <!--
            Available #page-container classes:

            '' (None)                                       for a full main and alternative sidebar hidden by default (> 991px)

            'sidebar-visible-lg'                            for a full main sidebar visible by default (> 991px)
            'sidebar-partial'                               for a partial main sidebar which opens on mouse hover, hidden by default (> 991px)
            'sidebar-partial sidebar-visible-lg'            for a partial main sidebar which opens on mouse hover, visible by default (> 991px)

            'sidebar-alt-visible-lg'                        for a full alternative sidebar visible by default (> 991px)
            'sidebar-alt-partial'                           for a partial alternative sidebar which opens on mouse hover, hidden by default (> 991px)
            'sidebar-alt-partial sidebar-alt-visible-lg'    for a partial alternative sidebar which opens on mouse hover, visible by default (> 991px)

            'sidebar-partial sidebar-alt-partial'           for both sidebars partial which open on mouse hover, hidden by default (> 991px)

            'sidebar-no-animations'                         add this as extra for disabling sidebar animations on large screens (> 991px) - Better performance with heavy pages!

            'style-alt'                                     for an alternative main style (without it: the default style)
            'footer-fixed'                                  for a fixed footer (without it: a static footer)

            'header-fixed-top'                              has to be added only if the class 'navbar-fixed-top' was added on header.navbar
            'header-fixed-bottom'                           has to be added only if the class 'navbar-fixed-bottom' was added on header.navbar
        -->
        <div id="page-container" class="sidebar-visible-lg sidebar-no-animations">

            <!-- Main Sidebar -->
            <div id="sidebar">
                <!-- Wrapper for scrolling functionality -->
                <div class="sidebar-scroll">
                    <!-- Sidebar Content -->
                    <div class="sidebar-content">
                        <!-- Brand -->
                        <a href="{{ URL::route('admin') }}" class="sidebar-brand"><strong>ADMIN</strong> DIOR</a>
                        <!-- END Brand -->

                        <!-- Sidebar Navigation -->
                        <ul class="sidebar-nav">
                            <li>
                                <a{{ Request::is('*admin') ? ' class="active"' : null }} href="{{ URL::route('admin') }}"><i class="gi gi-stopwatch sidebar-nav-icon"></i>Tableau de bord</a>
                            </li>
                            @if(Auth::user()->has_permission(1))
	                        <li>
                                <a{{ Request::is('*users*') ? ' class="active"' : null }} href="{{ route($_ENV['admin-url'].'.users.index') }}"><i class="gi gi-lock sidebar-nav-icon"></i>Admins</a>
                            </li>
                            @endif
                            @if(Auth::user()->has_permission(38))
	                        <li>
                                <a{{ Request::is('*registrations*') ? ' class="active"' : null }} href="{{ URL::route($_ENV['admin-url'].'.registrations.index') }}"><i class="fa fa-pencil-square sidebar-nav-icon"></i>Inscriptions</a>
                            </li>
                            @endif
                            @if(Auth::user()->has_permission(47))
	                        <li>
                                <a{{ Request::is('*questions*') ? ' class="active"' : null }} href="{{ route($_ENV['admin-url'].'.questions.index') }}"><i class="fa fa-question-circle sidebar-nav-icon"></i>Questions</a>
                            </li>
                            @endif
                            @if(Auth::user()->has_permission(48))
	                        <li>
                                <a{{ Request::is('*photos*') ? ' class="active"' : null }} href="{{ route($_ENV['admin-url'].'.photos.index') }}"><i class="gi gi-picture sidebar-nav-icon"></i>Photos</a>
                            </li>
                            @endif
                            <li>
                            	<a href="http://www.ckc-net.com/" target="_blank"><i class="fa fa-globe sidebar-nav-icon"></i>CKC-Net.com</a>
                            </li>
                        </ul>
                        <!-- END Sidebar Navigation -->
                    </div>
                    <!-- END Sidebar Content -->
                </div>
                <!-- END Wrapper for scrolling functionality -->
            </div>
            <!-- END Main Sidebar -->

            <!-- Main Container -->
            <div id="main-container">
                <!-- Header -->
                <!-- In the PHP version you can set the following options from inc/config.html file -->
                <!--
                    Available header.navbar classes:

                    'navbar-default'            for the default light header
                    'navbar-inverse'            for an alternative dark header

                    'navbar-fixed-top'          for a top fixed header (fixed sidebars with scroll will be auto initialized, functionality can be found in js/app.js - handleSidebar())
                        'header-fixed-top'      has to be added on #page-container only if the class 'navbar-fixed-top' was added

                    'navbar-fixed-bottom'       for a bottom fixed header (fixed sidebars with scroll will be auto initialized, functionality can be found in js/app.js - handleSidebar()))
                        'header-fixed-bottom'   has to be added on #page-container only if the class 'navbar-fixed-bottom' was added
                -->
                <header class="navbar navbar-default">
                    <!-- Left Header Navigation -->
                    <ul class="nav navbar-nav-custom">
                        <!-- Main Sidebar Toggle Button -->
                        <li>
                            <a href="javascript:void(0)" onclick="App.sidebar('toggle-sidebar');">
                                <i class="fa fa-bars fa-fw"></i>
                            </a>
                        </li>
                        <!-- END Main Sidebar Toggle Button -->
                    </ul>
                    <!-- END Left Header Navigation -->

                    <!-- Right Header Navigation -->
                    <ul class="nav navbar-nav-custom pull-right">

                        <!-- User Dropdown -->
                        <li class="dropdown">
                            <a href="javascript:void(0)" class="dropdown-toggle" data-toggle="dropdown">
                                {{ Auth::user()->first_name }} {{ Auth::user()->last_name }} <i class="fa fa-angle-down"></i>
                            </a>
                            <ul class="dropdown-menu dropdown-custom dropdown-menu-right">
                                <li class="dropdown-header text-center">
                                	<a href="{{ route($_ENV['admin-url'].'.users.show', [Auth::user()->id]) }}">
	                                	<strong>{{ Auth::user()->first_name }} {{ Auth::user()->last_name }}</strong><br/>
										{{ Auth::user()->email }}
									</a>
                                </li>
                                <li><a href="{{ route('logout') }}"><i class="fa fa-power-off fa-fw pull-right"></i> Déconnexion</a></li>
                            </ul>
                        </li>
                        <!-- END User Dropdown -->
                    </ul>
                    <!-- END Right Header Navigation -->
                </header>
                <!-- END Header -->

                <!-- Page content -->
                <div id="page-content">
                    
                @yield('content')

                </div>
                <!-- END Page Content -->

            </div>
            <!-- END Main Container -->
        </div>
        <!-- END Page Container -->

        <!-- Scroll to top link, initialized in js/app.js - scrollToTop() -->
        <a href="#" id="to-top"><i class="fa fa-angle-double-up"></i></a>

    </body>
        @section('scripts')
        <!-- Include Jquery library from Google's CDN but if something goes wrong get Jquery from local file (Remove 'http:' if you have SSL) -->
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
        <script>!window.jQuery && document.write(unescape('%3Cscript src="{{ asset("assets/admin/js/vendor/jquery-1.11.0.min.js") }}"%3E%3C/script%3E'));</script>

        <!-- Bootstrap.js, Jquery plugins and Custom JS code -->
        <script src="{{ asset('assets/admin/js/vendor/bootstrap.min.js') }}"></script>
        <script src="{{ asset('assets/admin/js/plugins.js') }}"></script>
        <script src="{{ asset('assets/admin/js/jquery.uploadifive.min.js') }}"></script>
        <script src="{{ asset('assets/admin/js/product.js') }}"></script>
        <script src="{{ asset('assets/admin/js/bootstrap-fileupload.js') }}"></script>
        <script src="{{ asset('assets/admin/js/app.js') }}"></script>
        @show
</html>