@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Inscriptions à la newsletter
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="gi gi-envelope"></i>Newsletter<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Newsletter</li>
</ul>

@include('includes.notification')

<div {{ $errors->first('email', 'class="has-error"') }} style="margin-bottom:15px;">
	{{ Form::open(['route' => $_ENV['admin-url'].'.newsletter.store', 'class' => 'form-inline']) }}
		{{ $errors->first('email', '<span class="help-block">:message</span>') }}
		{{ Form::text('email', Input::old('email'), array('class'=>'form-control', 'style'=>'width:40%', 'placeholder' => 'Email')) }} <button type="submit" class="btn btn-primary">Ajouter une adresse</button> 
		<button type="button" onclick="window.location='{{ route('admin_newsletter_export') }}'" class="btn btn-success">Exporter au format CSV</button>
	{{ Form::close() }}
</div>

@if($newsletters->isEmpty())
<p>
    <em>Aucune inscription</em>
</p>
@else
<div class="block full">
    <div class="block-content-full">
        <div class="table-responsive">
            <table id="customers" class="table table-vcenter table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Email</th>
                        <th>Langue</th>
                        <th>Créé le</th>
                        <th class="text-right">Actions</th>
                    </tr>
                </thead>

                <tbody>
                    @foreach ($newsletters as $n)
                    <tr>
                        <td>{{ $n->id }}</td>
                        <td>{{ $n->email }}</td>
                        <td>{{ ucfirst($n->language->name) }}</td>
                        <td>{{ $n->created_at }} - <strong>{{ $n->created_at->diffForHumans() }}</strong></td>
                        <td class="text-right">
                            <div class="btn-group btn-group-sm">
                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.newsletter.destroy', array($n->id)) }}" type="submit" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endif
@stop

@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();
    /* Initialize Datatables */
    $('#customers').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 4 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 1, "asc" ]]
    });
    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop