@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Modifier Page
@stop


@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="gi gi-list"></i>{{ $page->name }} <small>{{ $page->category->name }}</small><br>
            <small>Modifier Page</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li><a href="{{ route($_ENV['admin-url'].'.pages.index') }}">Pages</a></li>
    <li>{{ $page->name }}</li>
    <li>Modifier Page</li>
</ul>


<!-- Example Block -->
<div class="block">
    <!-- Example Title -->
    <div class="block-title">
        <h2>{{ $page->name }}</h2>
    </div>
    <!-- END Example Title -->

    {{ Form::model($mypage, ['route' => [$_ENV['admin-url'].'.pages.update', $page->id], 'method' => 'PUT', 'class' => 'form-horizontal form-bordered']) }}
    @include($_ENV['admin-url'].'.pages._form')

    <div>
        <!-- Default Tabs -->
        <ul class="nav nav-tabs push" data-toggle="tabs">
        	<?php $i=0; ?>
            @foreach($languages as $language)
            <?php $i++; ?>
            <li<?php echo $language->id == 1 ? ' class="active"' : null ?>><a href="#tab-{{ $language->short }}"><i class="fa fa-flag"></i> {{ $language->name }}</a></li>
            @endforeach
        </ul>
        <div class="tab-content">
            @foreach($languages as $language)
            <div class="tab-pane<?php echo $language->id == 1 ? ' active' : null ?>" id="tab-{{ $language->short }}">
                @include($_ENV['admin-url'].'.pages._lang_form')
            </div>
            @endforeach
        </div>
        <!-- END Default Tabs -->
    </div>
    <div class="form-group form-actions">
        <div class="col-md-9 col-md-offset-3">
            <a class="btn btn-default" href="{{ URL::route($_ENV['admin-url'].'.pages.index') }}"><i class="fa fa-angle-left"></i> Retour</a>
            <button type="submit" class="btn btn-primary"><i class="fa fa-angle-right"></i> Envoyer</button>
        </div>
    </div>
    
    {{ Form::close() }}
</div>
<!-- END Example Block -->
@stop

@section('scripts')
@parent

<script src="{{ asset('assets/admin/js/ckeditor/ckeditor.js') }}"></script>
<script src="{{ asset('assets/admin/js/ckeditor/adapters/jquery.js') }}"></script>
<script type="text/javascript">
var nb_editor = <?=$i+1?>;
var cfg_editor = {
	fullPage : false,
	height : 500,
	language: 'fr',
	toolbar: [
		{ name: 'document', groups: [ 'mode', 'document', 'doctools' ], items: [ 'Source', '-', 'Save', 'NewPage', 'Preview', 'Print', '-', 'Templates' ] },
		{ name: 'clipboard', groups: [ 'clipboard', 'undo' ], items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo' ] },
		{ name: 'editing', groups: [ 'find', 'selection', 'spellchecker' ], items: [ 'Find', 'Replace', '-', 'SelectAll', '-', 'Scayt' ] },
		{ name: 'forms', items: [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField' ] },
		'/',
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ], items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat' ] },
		{ name: 'paragraph', groups: [ 'list', 'indent', 'blocks', 'align', 'bidi' ], items: [ 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'BidiLtr', 'BidiRtl', 'Language' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		{ name: 'insert', items: [ 'Image', 'Flash', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe' ] },
		'/',
		{ name: 'styles', items: [ 'Styles', 'Format', 'Font', 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'Maximize', 'ShowBlocks' ] },
		{ name: 'others', items: [ '-' ] },
		{ name: 'about', items: [ 'About' ] }
	],
	//contentsCss : '/assets/admin/js/ckeditor/samples/assets/outputxhtml/outputxhtml.css',
	contentsCss : ['//maxcdn.bootstrapcdn.com/bootstrap/3.3.0/css/bootstrap.min.css', '/css/style.css'],
	
	filebrowserBrowseUrl : '/assets/admin/js/ckfinder/ckfinder.html',
	filebrowserImageBrowseUrl : '/assets/admin/js/ckfinder/ckfinder.html?type=Images',
	filebrowserFlashBrowseUrl : '/assets/admin/js/ckfinder/ckfinder.html?type=Flash',
	filebrowserUploadUrl : '/assets/admin/js/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Files',
	filebrowserImageUploadUrl : '/assets/admin/js/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Images',
	filebrowserFlashUploadUrl : '/assets/admin/js/ckfinder/core/connector/php/connector.php?command=QuickUpload&type=Flash'
}
for (var i = 1; i < nb_editor; i++) {
	CKEDITOR.replace( 'editor'+i, cfg_editor);
};
</script>

@stop