@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Pages
@stop

@section('styles')
@parent
<style type="text/css">
.list-group-item .btn-group{
    margin-top: -3px;
}
</style>
@stop


@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="gi gi-file"></i>Pages<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Pages</li>
</ul>

@include('includes.notification')

@if($categories->isEmpty())
<p>
    <em>Vous devez d'abord <a href="{{ route($_ENV['admin-url'].'.categories.create') }}">créer une catégorie</a>.</em>
</p>
@else
<div class="block">
	<?php /*
	<div class="alert alert-info alert-dismissable">
		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
		<h4><i class="fa fa-info-circle"></i> Info</h4> Vous pouvez organiser l'ordre de vos pages en effectuant un <b>"cliquer/glisser"</b>.
	</div>
	*/ ?>
    <div class="row">
	    <?php $i = 0; ?>
        @foreach($categories as $category)
        	@if($category->parent_id!=0)
	        <div class="col-md-4">
		        @if($category->parent->parent_id!=0)
	            <h4>{{ $category->parent->getAttr('name').' > '.$category->name }}</h4>
	            @else
	            <h4>{{ $category->name }}</h4>
	            @endif
	            @if( ! $category->pages->isEmpty())
	            <ul class="list-group sortable_pages">
	                @foreach($category->pages as $page)
	                <li class="list-group-item" data-position="{{ $page->position }}" data-id="{{ $page->id }}" style="cursor:move;">
	                    <div class="pull-right">
	                        <div class="btn-group btn-group-xs">
	                            <a href="{{ route($_ENV['admin-url'].'.pages.edit', array($page->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Edit"><i class="gi gi-pencil"></i></a>
	                            @if($category->id != 2)
	                            <a onclick="return confirm('Etes-vous sur?')"  href="{{ route($_ENV['admin-url'].'.pages.destroy', array($page->id)) }}" class="btn btn-danger" data-toggle="tooltip" data-original-title="Delete" ><i class="gi gi-remove_2"></i></a>
								@endif
	                        </div>
	                    </div>
	                    <a href="{{ route($_ENV['admin-url'].'.pages.edit', array($page->id)) }}">{{ $page->name }}</a>
	                </li>
	                @endforeach
	            </ul>
	            <script>
					$('.sortable_pages').sortable({
						stop: function(event, ui) {
							var children = $('.sortable_pages').children().size();
							var i = 1;
							$('.sortable_pages > li').each(function(){								
								$.ajax({
									type: "POST",
									url: "{{URL::route('setorderpage')}}",
									data: { 
										id_page: $(this).data('id'),
										position: i
									}
									});
								i++;
							});
						}
					});
				</script>
	            @endif
	            <p>
	                <a class="btn btn-sm btn-default" href="{{ route($_ENV['admin-url'].'.pages.create', $category->id) }}"><i class="fa fa-plus"></i> Nouvelle page</a>
	            </p>
	        </div>
	        @endif
	        <?php $i++; ?>
	        @if($i%3==0)
	        <div class="clearfix"></div>
	        @endif
        @endforeach
    </div>
</div>
@endif

@stop