@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Partenaires
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-users"></i>Partenaires<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Partenaires</li>
</ul>

@include('includes.notification')

<p>
    <a class="btn btn-default" href="{{ route($_ENV['admin-url'].'.partenaires.create') }}"><i class="fa fa-plus"></i> Ajouter un partenaire</a>
</p>

@if($pictos->isEmpty())
<p>
    <em>Aucun partenaire pour le moment.</em>
</p>
@else
<div class="block full">
    <div class="block-content-full">
        <div class="table-responsive">
            <table id="partenaires" class="table table-vcenter table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th class="text-center"><i class="fa fa-picture-o"></i> Logo</th>
                        <th>Nom</th>
                        <th>Date</th>
                        <th class="text-right">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($pictos as $c)
                    <tr>
                        <td>{{ $c->id }}</td>
                        <td class="text-center">
	                        <a href="{{ route($_ENV['admin-url'].'.partenaires.show', array($c->id)) }}">
	                        <?php
					        $filename = $c->logo;
					        $upload_dir = public_path().'/uploads/photos/quartiers/';
					        if(is_file($upload_dir.$filename)){
					            echo '<img src="'.URL::route('photoquartier', ['60', '60', $filename]).'" />';
					        } else {
						        echo '<img src="http://placehold.it/60x60/394263/ffffff&text=Partenaire" class="img-circle" />';
					        }
						    ?>
	                        </a>
                        </td>
                        <td>{{ $c->getAttr('name') }}</td>
                        <td>{{ $c->created_at }} - <strong>{{ $c->created_at->diffForHumans() }}</strong></td>
                        <td class="text-right">
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route($_ENV['admin-url'].'.partenaires.show', array($c->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Details"><i class="hi hi-search"></i></a>
                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.partenaires.destroy', array($c->id)) }}" type="submit" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endif
@stop

@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();
    /* Initialize Datatables */
    $('#partenaires').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 4 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 2, "asc" ]]
    });
    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop