@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Produits
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-tags"></i>Produits<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Produits</li>
</ul>

@include('includes.notification')

<p>
    <a class="btn btn-default" href="{{ route($_ENV['admin-url'].'.produits.create') }}"><i class="fa fa-plus"></i> Ajouter un nouveau produit</a>
</p>
@if($produits->isEmpty())
<p>
    <em>Aucun produit défini pour le moment.</em>
</p>
@else
<div class="block full">
    <div class="block-content-full">
        <div class="table-responsive">
            <table id="offres" class="table table-vcenter table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Réf.</th>
                        <th>Détails</th>
                        <th>Catégories</th>
                        <th>Nouveauté</th>
                        <th>Promotion</th>
                        <th>Statut</th>
                        <th>Réalisations</th>
                        <th>Créé le</th>
                        <th class="text-right">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($produits as $o)
                    <tr>
                        <td>{{ $o->id }}</td>
                        <td>{{ $o->ref!='' ? $o->ref : '-' }}</td>
                        <td><strong>{{ $o->getAttr('name') }}</strong><br>{{ ucfirst('matériaux '.$o->type) }}</td>
                        <td><span class="label label-info">{{ $o->categories->count() }}</span></td>
                        <td>
	                        @if($o->nouveaute=='1')
	                        <span class="label label-info">Oui</span>
	                        @else
	                        <span class="label label-warning">Non</span>
	                        @endif
                        </td>
                        <td>
	                        @if($o->promotion=='1')
	                        <span class="label label-info">Oui</span>
	                        @else
	                        <span class="label label-warning">Non</span>
	                        @endif
                        </td>
                        <td>
	                        @if($o->published=='1')
	                        <span class="label label-success">Publié</span>
	                        @else
	                        <span class="label label-danger">Désactivé</span>
	                        @endif
                        </td>
                        <td><span class="label label-info">{{ $o->realisations->count() }}</span></td>
                        <td>{{ $o->created_at }} - <strong>{{ $o->created_at->diffForHumans() }}</strong></td>
                        <td class="text-right">
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route($_ENV['admin-url'].'.produits.show', array($o->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Details"><i class="hi hi-search"></i></a>
                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.produits.destroy', array($o->id)) }}" type="submit" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endif
@stop

@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();
    /* Initialize Datatables */
    $('#offres').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 9 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 2, "asc" ]]
    });
    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop