@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Services
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-cogs"></i>Services<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Services</li>
</ul>

@include('includes.notification')

<p>
    <a class="btn btn-default" href="{{ route($_ENV['admin-url'].'.services.create') }}"><i class="fa fa-plus"></i> Ajouter un nouveau service</a>
</p>
@if($services->isEmpty())
<p>
    <em>Aucun service défini pour le moment.</em>
</p>
@else
<div class="block full">
    <div class="block-content-full">
        <div class="table-responsive">
            <table id="services" class="table table-vcenter table-striped table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Nom</th>
                        <th>Description</th>
                        <th>Statut</th>
                        <th>Créé le</th>
                        <th class="text-right">Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($services as $s)
                    <tr>
                        <td>{{ $s->id }}</td>
                        <td>{{ $s->getAttr('name') }}<br><small>{{ $s->getAttr('sub-name') }}</small></td>
                        <td>{{ GeneralFunctions::cleanCut($s->getAttr('desc_short'), 100) }}</td>
                        <td>
	                        @if($s->published=='1')
	                        <span class="label label-success">Publié</span>
	                        @else
	                        <span class="label label-danger">Désactivé</span>
	                        @endif
                        </td>
                        <td>{{ $s->created_at }} - <strong>{{ $s->created_at->diffForHumans() }}</strong></td>
                        <td class="text-right">
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route($_ENV['admin-url'].'.services.show', array($s->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Details"><i class="hi hi-search"></i></a>
                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.services.destroy', array($s->id)) }}" type="submit" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
                            </div>
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endif
@stop

@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();
    /* Initialize Datatables */
    $('#services').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 5 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 1, "asc" ]]
    });
    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop