@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Diaporamas
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-desktop"></i>Carrousel<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Carrousel</li>
</ul>

@include('includes.notification')

<p>
    <a class="btn btn-default" href="{{ route($_ENV['admin-url'].'.slideshows.create') }}"><i class="fa fa-plus"></i> Ajouter un carrousel</a>
</p>

@if($slideshows->isEmpty())
	<p>
	    <em>Aucun diaporama pour le moment</em>
	</p>
@else
	<div class="alert alert-info alert-dismissable">
		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
		<h4><i class="fa fa-info-circle"></i> Info</h4> Vous pouvez organiser l'ordre de vos diaporamas en effectuant un <b>"cliquer/glisser"</b>.
	</div>
	
	<div class="row">
		<?php $k = 0; ?>
		@foreach($slideshows as $s)
		<?php $k++; ?>
		<div class="col-md-6">
			<div class="block">
				<div class="block-title">
					<div class="block-options pull-right">
						<a class="btn btn-alt btn-sm btn-default" data-original-title="Ajouter un slide" title="" data-toggle="tooltip" href="{{ URL::route($_ENV['admin-url'].'.slideshows_slides.create', $s->id) }}">
							<i class="fa fa-plus"></i>
						</a>
						<a class="btn btn-alt btn-sm btn-default" data-original-title="Modifier le nom de diaporama" title="" data-toggle="tooltip" href="{{ URL::route($_ENV['admin-url'].'.slideshows.edit', $s->id) }}">
							<i class="fa fa-cogs"></i>
						</a>
						<a onclick="return confirm('Etes-vous sûr')" class="btn btn-alt btn-sm btn-default" data-original-title="Supprimer le diaporama" title="" data-toggle="tooltip" href="{{ URL::route($_ENV['admin-url'].'.slideshows.destroy', $s->id) }}">
							<i class="fa fa-times"></i>
						</a>						
					</div>
					<h2>{{ $s->name }}</h2>
				</div>
				@if($s->slides->isEmpty())
				<p>Ce diaporama ne contient aucun slide</p>
				@else
				<ul class="media-list sortable_slides">
				<?php $i=1 ?>
				@foreach($s->slides as $slide)
					<li class="widget-simple" style="cursor:move;background-color:#EFEFEF;margin-bottom:8px;" data-position="{{ $slide->position }}" data-id="{{ $slide->id }}">
						<a href="{{ URL::route($_ENV['admin-url'].'.slideshows_slides.edit', [$s->id, $slide->id]) }}" class="widget-icon pull-left animation-fadeIn">
						@if($slide->annonce_id==0)
							<?php
							$filename = $slide->photo;
					        $upload_dir = public_path().'/uploads/photos/slideshows/';
					        if(is_file($upload_dir.$filename)){
					            echo '<img src="'.URL::route('photoslide', ['60', '60', $filename]).'" class="img-circle" />';
					        } else {
						        echo '<img src="http://placehold.it/60x60/394263/ffffff&text=Slide" class="img-circle" />';
					        }
							?>
						@else
							<img src="http://placehold.it/60x60/394263/ffffff&text=A" class="img-circle" />
						@endif
						</a>
						<h4 class="widget-content text-right animation-hatch">
							<a href="{{ URL::route($_ENV['admin-url'].'.slideshows_slides.edit', [$s->id, $slide->id]) }}">
							@if($slide->annonce_id==0)
								{{ ucfirst($slide->getTitleAttributeBO($slide->id)->ligne1) }}
							@else
								<sup><span class="label label-warning">Annonce #{{$slide->annonce->reference}}</span></sup> {{ ucfirst($slide->annonce->getAttr('name')) }}
							@endif
							</a>
							<small>
								<a class="text-muted" href="{{ URL::route($_ENV['admin-url'].'.slideshows_slides.edit', [$s->id, $slide->id]) }}">Modifier</a> - 
								<a class="text-danger" href="{{ URL::route($_ENV['admin-url'].'.slideshows_slides.destroy', $slide->id) }}" onclick="return confirm('Etes-vous sur?')">Supprimer</a>
							</small>
						</h4>
					</li>
				<?php $i++; ?>
				@endforeach
				</ul>
				<script>
					$('.sortable_slides').sortable({
						stop: function(event, ui) {
							var children = $('.sortable_slides').children().size();
							var i = 1;
							$('.sortable_slides > li').each(function(){								
								$.ajax({
									type: "POST",
									url: "{{URL::route('setorderslide')}}",
									data: { 
										id_slide: $(this).data("id"),
										position: i
									}
									});
								i++;
							});
						}
					});
				</script>
				@endif
			</div>
		</div>
		@if($k%3==0)
        <div class="clearfix visible-ms-block"></div>
		@endif
		@endforeach
	</div>
@endif
@stop