@extends($_ENV['admin-url'].'.layouts.main')

@section('title')
Diaporamas
@stop

@section('content')
<!-- Blank Header -->
<div class="content-header">
    <div class="header-section">
        <h1>
            <i class="fa fa-desktop"></i>Diaporamas<br>
            <small>Listing</small>
        </h1>
    </div>
</div>
<!-- END Blank Header -->
<ul class="breadcrumb breadcrumb-top">
    <li><a href="{{ route('admin') }}">Admin</a></li>
    <li>Diaporamas</li>
</ul>

@include('includes.notification')

<p>
    <a class="btn btn-default" href="{{ route($_ENV['admin-url'].'.slideshows.create') }}"><i class="fa fa-plus"></i> Ajouter un diaporama</a>
</p>

@if($slideshows->isEmpty())
	<p>
	    <em>Aucun diaporama pour le moment</em>
	</p>
@else
	<div class="block full">
	    <div class="block-content-full">
	        <div class="table-responsive">
	            <table id="hebergements" class="table table-vcenter table-striped table-bordered table-hover">
	                <thead>
	                    <tr>
	                        <th>#</th>
	                        <th>Nom</th>
	                        <th class="text-center">Actions</th>
	                    </tr>
	                </thead>
	
	                <tbody>
	                    @foreach($slideshows as $s)
	                    <tr>
	                        <td>{{ $s->id }}</td>
	                        <td>{{ $s->name }}</td>
	                        <td class="text-center">
	                            <div class="btn-group btn-group-sm">
	                                <a href="{{ route($_ENV['admin-url'].'.slideshows.edit', array($s->id)) }}" data-toggle="tooltip" title="" class="btn btn-default" data-original-title="Details"><i class="hi hi-search"></i></a>
	                                <a onclick="return confirm('Etes-vous sur?')" href="{{ route($_ENV['admin-url'].'.slideshows.destroy', array($s->id)) }}" type="submit" class="btn btn-danger" data-toggle="tooltip" data-original-title="Supprimer"><i class="gi gi-remove_2"></i></a>
	                            </div>
	                        </td>
	                    </tr>
	                    @endforeach
	                </tbody>
	            </table>
	        </div>
	    </div>
	</div>
@endif
@stop

@section('scripts')
@parent
<!-- Load and execute javascript code used only in this page -->
<script>
$(function(){
    App.datatables();
    /* Initialize Datatables */
    $('#slideshows').dataTable({
        "aoColumnDefs": [ { "bSortable": false, "aTargets": [ 4 ] } ],
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, -1], [50, 100, "All"]],
        "aaSorting": [[ 5, "desc" ]]
    });
    /* Add Bootstrap classes to select and input elements added by datatables above the table */
    $('.dataTables_filter input').addClass('form-control').attr('placeholder', 'Rechercher');
    $('.dataTables_length select').addClass('form-control');
});
</script>
@stop