<div class="row">
	<div class="col-xs-12 col-sm-6">
		@if(isset($user))
		<div class="form-group">
		    <label class="col-md-4 control-label" for="{{ 'valid' }}">ID Admin</label>
		    <div class="col-md-2"><input type="text" disabled="" value="{{$user->id}}" class="form-control" /></div>
		</div>
		@endif
		<div class="form-group<?php if($errors->has('last_name')) { echo ' has-error'; } ?>">
		    <label class="col-md-4 control-label" for="{{ 'last_name' }}">Nom *</label>
		    <div class="col-md-6">
				{{ Form::text('last_name', Input::old('last_name', (isset($user) ? $user->last_name : NULL)), array('class'=>'form-control')); }}
		        {{ $errors->first('last_name', '<span class="help-block">:message</span>') }}
		    </div>
		</div>
		<div class="form-group<?php if($errors->has('first_name')) { echo ' has-error'; } ?>">
		    <label class="col-md-4 control-label" for="{{ 'first_name' }}">Prénom *</label>
		    <div class="col-md-6">
				{{ Form::text('first_name', Input::old('first_name', (isset($user) ? $user->first_name : NULL)), array('class'=>'form-control')); }}
		        {{ $errors->first('first_name', '<span class="help-block">:message</span>') }}
		    </div>
		</div>
		<div class="form-group<?php if($errors->has('email')) { echo ' has-error'; } ?>">
		    <label class="col-md-4 control-label" for="{{ 'email' }}">Adresse email *</label>
		    <div class="col-md-8">
				{{ Form::text('email', Input::old('email', (isset($user) ? $user->email : NULL)), array('class'=>'form-control')); }}
		        {{ $errors->first('email', '<span class="help-block">:message</span>') }}
		    </div>
		</div>
		<div class="form-group<?php if($errors->has('phone')) { echo ' has-error'; } ?>">
		    <label class="col-md-4 control-label" for="{{ 'phone' }}">Numéro de téléphone</label>
		    <div class="col-md-5">
				{{ Form::text('phone', Input::old('phone', (isset($user) ? $user->phone : NULL)),array('class'=>'form-control','autocomplete'=>'off')); }}
		        {{ $errors->first('phone', '<span class="help-block">:message</span>') }}
		    </div>
		</div>
		<div class="form-group<?php if($errors->first('password')) { echo ' has-error'; } ?>" style="border-bottom:0;">
		    <label class="col-md-4 control-label" for="{{ 'password' }}">Mot de passe</label>
		    <div class="col-md-8">
				{{ Form::text('password','',array('autocomplete'=>'off','class'=>'form-control')); }}
				{{ $errors->first('password', '<span class="help-block">:message</span>') }}
				@if(isset($user))
				<span class="help-block">Laissez vide si vous ne souhaitez pas mettre à jour</span>
				@endif
		    </div>
		</div>
	</div>
	<div class="col-xs-12 col-sm-5 col-sm-offset-1">
		<?php 
		$user_roles = array();
		if(isset($user))
		{
			foreach ($user->roles()->get() as $r)
				$user_roles[] = $r->id; 
		}
		?>
		@foreach($roles as $r)
		<div class="form-group">
			<label class="col-md-6 control-label">{{ $r->name }}</label>
		    <div class="col-md-6">
				<label class="switch switch-primary"><input type="checkbox" name="roles[]" value="{{ $r->id }}" <?php echo (in_array($r->id, Input::old('roles', $user_roles))) ? 'checked' : ''; ?>><span></span></label>
		    </div>
		</div>
		@endforeach
	</div>
</div>