@extends('layouts.main')

@section('title')
{{$title}}
@stop
@section('description')
{{$desc}}
@stop

@section('content')

<div class="pageFAQ">
	<div class="wrapper">
		
		@if(Session::has('notification'))
		<div class="alert alert-{{ Session::get('notification')['type'] }} alert-dismissable">
		    {{ Session::get('notification')['text'] }}
		</div>
		@endif
		
		<script src='https://www.google.com/recaptcha/api.js?hl=en'></script>
		{{ Form::open(['route' => ['post_question']]) }}
		<div class="col-md-8">
			{{ Form::textarea('question',Input::old('question'),['class'=>($errors->first('question')) ? 'error form-control' : 'form-control','placeholder'=>'ASK YOUR OWN QUESTION']) }}			
		</div>
		<div class="col-md-4">
			<div class="g-recaptcha" data-sitekey="6LdoCwgTAAAAAHMzki-QU1Gz2Vf_Fz8kpmyjz73l"></div>
			{{ Form::select('theme',$themes,Input::old('themes'),['class'=>($errors->first('theme')) ? 'error' : '']) }}
			<button type="submit" class="btn btn-dior">Send</button>				
		</div>
		<div class="clear"></div>
		{{ Form::close() }}
			
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
		  @foreach(QuestionTheme::all() as $qt)
		  @if(count($qt->answeredQuestions))
		  <div class="panel panel-default">
		    <div class="panel-heading" role="tab" id="headingQT{{ $qt->id }}">
		      <h4 class="panel-title">
		        <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseQT{{ $qt->id }}" aria-expanded="false" aria-controls="collapseQT{{ $qt->id }}">
		          {{ $qt->theme }}
		        </a>
		      </h4>
		    </div>
		    <div id="collapseQT{{ $qt->id }}" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingQT{{ $qt->id }}">
		      <div class="panel-body main">			  
				<div class="panel-group" id="accordionQT{{ $qt->id }}" role="tablist" aria-multiselectable="true">
				@foreach($qt->answeredQuestions as $q)					
				  <div class="panel panel-default">
				    <div class="panel-heading" role="tab" id="headingQ{{ $q->id }}">
				      <h4 class="panel-title">
				        <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordionQT{{ $qt->id }}" href="#collapseQ{{ $q->id }}" aria-expanded="false" aria-controls="collapseQ{{ $q->id }}">
				          {{ $q->question }}
				        </a>
				      </h4>
				    </div>
				    <div id="collapseQ{{ $q->id }}" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingQ{{ $q->id }}">
				      <div class="panel-body">
				        {{ nl2br($q->answer) }}
				      </div>
				    </div>
				  </div>
				 @endforeach				  
				</div>		        
		      </div>
		    </div>
		  </div>
		  @endif
		  @endforeach		  
		</div>
	</div>		
</div>
<div class="clear"></div>
@stop