@extends('layouts.main')

@section('title')
{{$title}}
@stop
@section('description')
{{$desc}}
@stop

@section('content')

<?php // SLIDE HOMEPAGE ?>
<div class="pageInformation">
	<div class="wrapper main-image">
		<div class="text-image">
			<img src="{{ URL::asset('image/information_main.png') }}" class="hidden_tablette" alt="Dior"/>
			<img src="{{ URL::route('photoslider',[800,450,'information_main.png']) }}" class="show_portrait" alt="Dior"/>
			<div class="container-text padding-20">
				<div class="table-text">
					<div class="table-cell-text">
						<div class="text">					
							<div class="backgroundText">
								Great things to do <br/>in Marrakech
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<a href="{{ URL::route('registration') }}" class="btn btn-dior">Register</a>
	</div>
	<div class="wrapper">
		<div class="first-line row">
			<div class="col-sm-6">
				<h2>JARDIN MAJORELLE</h2>
				<span class="grey">Yves Saint Laurent Secret Garden</span>
				<div class="separator"></div>
				<p>
					Saint Laurent and his partner Pierre Bergé bought the electric-blue villa and its garden to preserve the vision of its original owner, landscape painter Jacques Majorelle, and keep it open to the public. It took French painter Jacques Majorelle forty years of passion and dedication to create this enchanting garden in the heart of the “Ochre City”.
				</p>
				<p>
					Thanks to ethnobotanist Abderrazak Benchaâbane, the garden Majorelle began cultivating in 1924 is now a psychedelic desert mirage of 300 plant species from five continents. We are soothed and enchanted by the harmony of this luxuriant and vivid imagery, which issues a delicate summons to the senses, offering us a calming retreat near the bustling city, sheltered from time by high earthen walls.Majorelle’s art-deco studio houses a Berber Art Museum, showcasing the rich panorama of Morocco's indigenous inhabitants in displays of some 600 artefacts.
				</p>
				<p class="grey">
					Jardin Majorelle, Rue Yves Saint Laurent, Marrakech, Morocco, +212 5 24 31 30 47
				</p>
			</div>
			<div class="col-sm-6">
				<img src="{{ URL::asset('image/majorelle.jpg') }}" alt="Majorelle"/>
			</div>
		</div>
	</div>
	@include('information.bottom')		
</div>
<div class="clear"></div>
@stop