<!DOCTYPE html>
<html lang="{{App::getLocale()}}">
<head>
	<meta charset="utf-8">
	<title>@yield('title')</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Language" content="{{App::getLocale()}}">
	<meta name="author" content="" />
	<meta name="description" content="@yield('description')" />
	<meta name="keywords" content="" />
	<meta property="og:site_name" content="Dior" />
	<meta property="og:title" content="@yield('title')" />
	<meta property="og:url" content="{{Request::url()}}" /> 
	<meta property="og:language" content="" />
	<meta property="og:locale" content="{{App::getLocale()}}" />
	<meta property="og:type" content="website" />
	<meta property="og:description" content="@yield('description')" />
	
    <link href="{{asset('image/icone.ico');}}" rel="shortcut icon">
	<link rel="alternate" href="{{Request::url()}}" hreflang="{{Session::get('lang')}}" />
		
	<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
	<script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
	<link href="{{asset('css/custom-theme/jquery-ui-1.10.0.custom.css');}}" rel="stylesheet" />
	<?php /*
	<script src="//use.typekit.net/sjl5fin.js"></script>
	<script>try{Typekit.load({ async: true });}catch(e){}</script>
	*/ ?>
	
	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
	<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">
	
	<!-- Datepicker -->
	<script src="{{asset('datepicker/bootstrap-datepicker.js');}}"></script>
	<link href="{{asset('datepicker/datepicker.css');}}" rel="stylesheet" />
	
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700,300' rel='stylesheet' type='text/css'>
	<link href="{{asset('font/font.css');}}" rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Lato:100,300,400,700,900' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" type="text/css" href="{{asset('css/morphsearch.css');}}"/>
	<link rel="stylesheet" type="text/css" href="{{asset('css/hover-effect.css');}}"/>
	<link rel="stylesheet" type="text/css" href="{{asset('css/tooltip.css');}}"/>
	<link rel="stylesheet" type="text/css" href="{{asset('css/style.css');}}"/>
	@section('styles')
	@show
	
	<!-- Bx-slider -->
	<script src="{{ URL::asset('/bxslider/jquery.fitvids.js') }}"></script>
	<script src="{{ URL::asset('/bxslider/jquery.bxslider.js') }}"></script>
	<link href="{{ URL::asset('/bxslider/jquery.bxslider.css') }}" rel="stylesheet" />
	
	<!-- Tooltip -->
	<script type="text/javascript">
		$(function(){ $('[data-toggle="tooltip"]').tooltip(); });
	</script>
	
	<!--Cycle-->
	<script src="{{asset('js/jquery.cycle.all.js');}}"></script>
	
	<!-- FancyBox -->
	<link rel="stylesheet" href="{{ URL::to('/fancybox/jquery.fancybox.css?v=2.1.4'); }}" type="text/css" media="screen" />
	<script type="text/javascript" src="{{ URL::to('/fancybox/jquery.fancybox.pack.js?v=2.1.4'); }}"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			$(".fancybox").fancybox({
				prevEffect:'fade',
				nextEffect:'fade',
			});
			$(".fancybox_video").click(function() {
				$.fancybox({
					'padding'		: 0,
					'autoScale'		: false,
					'transitionIn'	: 'none',
					'transitionOut'	: 'none',
					'title'			: this.title,
					'width'			: 800,
					'height'		: 450,
					'href'			: this.href.replace(new RegExp("watch\\?v=", "i"), 'v/'),
					'type'			: 'swf',
					'swf'			: {
					'wmode'				: 'transparent',
					'allowfullscreen'	: 'true'
					}
				});
				return false;
			});
		});
	</script>
	
	<!-- jQuery mmenu mobile -->
	<script src="{{asset('jquery-mmenu/jquery.mmenu.min.all.js');}}"></script>
	<link href="{{ asset('jquery-mmenu/jquery.mmenu.all.css') }}" rel="stylesheet" />
	<link href="{{ asset('jquery-mmenu/nico.mmenu.all.css') }}" rel="stylesheet" />
	
	<script src="{{asset('/js/bootbox.js')}}"></script>
	<script>var ie_url = "{{ URL::route('ie') }}"</script>
	<script src="{{asset('/js/site.js'); }}"></script>
	<script src="{{asset('/js/modernizr.custom.js')}}"></script>
	<script src="https://apis.google.com/js/platform.js" async defer>
	  {lang: 'fr'}
	</script>
	
	<!--[if lt IE 9]>
    	<script src="{{ URL::asset('js/html5shiv.js') }}"></script>
		<script src="{{ URL::asset('js/respond.js') }}"></script>
		<style>
			body{margin-top:136px !important}
		</style>
    <![endif]--> 
</head>
<body>
	<?php // HEADER ?>
	<div id="header">
			<a href="#mobile-menu" class="barsMobile"><i class="fa fa-bars"></i></a>
			<nav id="mobile-menu">
				<ul>
					<li><a href="{{ URL::route('home') }}" title="Home">Home</a></li>
					<li><a href="{{ URL::route('registration') }}" title="Registration">Registration</a></li>
					<li><a href="{{ URL::route('agenda') }}" title="The agenda">The agenda</a></li>
					<li>
						<a href="{{ URL::route('practical_information',['your-hotels']) }}">Practical information</a>
						<ul>
							<li><a href="{{ URL::route('practical_information',['your-hotels']) }}" title="Hotels">Your hotels</a></li>														
							<li><a href="{{ URL::route('practical_information',['medina-district']) }}" title="Medina district">Medina district</a></li>
							<li><a href="{{ URL::route('practical_information',['gueliz-district']) }}" title="Gueliz district">Gueliz district</a></li>
							<li><a href="{{ URL::route('practical_information',['jardin-majorelle']) }}" title="Jardin Majorelle">Jardin Majorelle</a></li>
							<li><a href="{{ URL::route('practical_information',['koutoubia-mosque']) }}" title="Koutoubia Mosque">Koutoubia Mosque</a></li>
							<li><a href="{{ URL::route('practical_information',['the-souks']) }}" title="The Souks">The Souks</a></li>
							<li><a href="{{ URL::route('practical_information',['jemaa-el-fna']) }}" title="Jemaa El Fna">Jemaa El Fna</a></li>
							<li><a href="{{ URL::route('practical_information',['palais-de-la-bahia']) }}" title="Palais de la Bahia">Palais de la Bahia</a></li>
							<li><a href="{{ URL::route('practical_information',['badii-palace']) }}" title="Badii">Badii Palace</a></li>
						</ul>
					</li>
					<li><a href="{{ URL::route('faq') }}" title="FAQ">FAQ</a></li>
					<li><a href="{{ URL::route('contact') }}" title="Contact">Contact</a></li>
					<li><a href="{{ URL::route('gallery') }}" title="Gallery">Gallery</a></li>
					<?php /*<li><a href="{{ URL::route('documents') }}" title="Documents">Documents</a></li>*/ ?> 
				</ul>
			</nav>
			<div id="first-line" class="line">
				<a href="{{ URL::route('home') }}" class="logo">
					<img src="{{ URL::asset('image/logo.png') }}" alt="Dior" title="Dior"/>
				</a>
			</div>
			<div class="clear"></div>
			<div id="second-line" class="line">
				<div class="wrapper">
					<ul class="menu">
						<li><a href="{{ URL::route('home') }}" title="Home">Home</a></li><!--
					 --><li><a href="{{ URL::route('registration') }}" title="Registration">Registration</a></li><!--
					 --><li><a href="{{ URL::route('agenda') }}" title="The agenda">The agenda</a></li><!--
					 --><li>
					 		<div class="dropdown">
						 		<a href="{{ URL::route('practical_information',['your-hotels']) }}" class="dropdown-toggle" type="button" id="dropdownMenu" title="Practical information">Practical information</a>					
								<ul class="dropdown-menu" aria-labelledby="dropdownMenu">
									<li><a href="{{ URL::route('practical_information',['your-hotels']) }}" title="Hotels">Your hotels</a></li>														
									<li><a href="{{ URL::route('practical_information',['medina-district']) }}" title="Medina district">Medina district</a></li>
									<li><a href="{{ URL::route('practical_information',['gueliz-district']) }}" title="Gueliz district">Gueliz district</a></li>
									<li><a href="{{ URL::route('practical_information',['jardin-majorelle']) }}" title="Jardin Majorelle">Jardin Majorelle</a></li>
									<li><a href="{{ URL::route('practical_information',['koutoubia-mosque']) }}" title="Koutoubia Mosque">Koutoubia Mosque</a></li>
									<li><a href="{{ URL::route('practical_information',['the-souks']) }}" title="The Souks">The Souks</a></li>
									<li><a href="{{ URL::route('practical_information',['jemaa-el-fna']) }}" title="Jemaa El Fna">Jemaa El Fna</a></li>
									<li><a href="{{ URL::route('practical_information',['palais-de-la-bahia']) }}" title="Palais de la Bahia">Palais de la Bahia</a></li>
									<li><a href="{{ URL::route('practical_information',['badii-palace']) }}" title="Badii">Badii Palace</a></li>
								</ul>
								
					 		</div>
					 	</li><!--
					 --><li><a href="{{ URL::route('faq') }}" title="FAQ">FAQ</a></li><!--
					 --><li><a href="{{ URL::route('contact') }}" title="Contact">Contact</a></li><!--
					 --><li><a href="{{ URL::route('gallery') }}" title="Gallery">Gallery</a></li><!--
					 --><?php /*<li><a href="{{ URL::route('documents') }}" title="Documents">Documents</a></li> */ ?>
					</ul>
				</div>
			</div>
	</div>
	<div class="clear"></div>
	
	<?php // CONTENT ?>
	<div id="page-content">
		@yield('content')
	</div>
	<div class="clear"></div>
	
	<?php // FOOTER ?>
	<div id="footer">
		<span class="follow_footer">Follow the Convention <br class="show_320"/>on Facebook</span><a href="http://www.facebook.com/diorconvention2016" target="_blank" class="social"><i class="fa fa-facebook"></i></a>
		<div class="realisation_footer">© 2016 Dior - Website by <a href="http://www.ckc-net.com/" target="_blank">CKC-Net.com</a> / <a href="http://www.spiceup.fr/" target="_blank">Spice Up</a></div>
	</div>
	
	<script src="{{asset('/js/classie.js')}}"></script>
	
	<?php /* Utilisation des Cookies CNIL
	<link href="{{asset('nico_cookies/nico.cookie.css');}}" rel='stylesheet' type='text/css'>
	<script src="{{asset('nico_cookies/jquery.cookie.js');}}"></script>
	<script src="{{asset('nico_cookies/nico.cookie.js');}}"></script>
	*/ ?>
	
	<script>
		// Scroll top
		$('body').append('<a href="#header" class="scrollTo scrollTop" title="Top"><span class="fa-stack fa-lg"><i class="fa fa-circle-o fa-stack-2x"></i><i class="fa fa-angle-up fa-stack-1x"></i></span></a>');
		$('.scrollTop').css({
			'position'              :   'fixed',  
			'right'                 :   '20px',  
			'bottom'                :   '30px',  
			'display'               :   'none',
			'cursor'				: 	'pointer',
			'z-index'               :   '3000',
			'font-size'				:	'22px',
			'opacity'				:	'0.9',
			'color'					:	'rgba(201, 201, 201, 0.6)'
		});
		/*
		$(window).scroll(function(){  
			posScroll = $(document).scrollTop();
			if(posScroll >=550)
				$('.scrollTop').fadeIn(600);
			else  
				$('.scrollTop').fadeOut(600);
		});
		*/
		$(document).on('click','.scrollTo',function(){
			$('html, body').animate( { scrollTop: 0 }, 800 );
			return false;
		});
		// Search header
		var mq = window.matchMedia( "(max-width:568px)" );
		if(!mq.matches){
			function open_search(){
				$('.input-wrap').stop(true).animate({
					opacity:1,
					top:0
				}, 100).focus();
			}
			function close_search(){
				$('.input-wrap').stop(true).animate({
					opacity:0,
					top:-40
				}, 100);
			}
			var search_script = function(){
				$('#searchTop').hover(function(){
					open_search();
				}, function(){
					if(!$('.input-wrap').is(":focus")){
						close_search();
					}
				});
				$('.input-wrap').focusout(function(){
					close_search();
				});
			};
			search_script();
		}
		$('#header .dropdown').hover(function() {
			$(this).find('.dropdown-menu').stop(true, true).delay(50).slideDown("fast");			
		}, function() {
			$(this).find('.dropdown-menu').stop(true, true).delay(50).slideUp("fast");			
		});
		
		//$('.dropdown-menu').stop(true, true).delay(50).slideDown("fast");
		
		// Mobile mmenu
		$('#mobile-menu').mmenu({
			counters	: true,
			navbars		: [
				{
					position	: 'top',
					content		: [
						'prev',
						'title',
						'close'
					]
				}
			],
			offCanvas: {
               position  : "left",
               zposition : "front"
            }
		});
		// Scroll header fixed
		
		var scrollHeader = function(){
			var headerHeight = $('#header').height();
			//if(!mq.matches){
				$('body').css('marginTop',headerHeight+'px');
			//} else {
				//$('body').css('marginTop','');
			//}
		};
		var classHeader = function(){
			if($(document).scrollTop() > 5 && $('#header').css('position')!='relative'){
				$('#header').addClass('fixed');
			} else {
				$('#header').removeClass('fixed');
			}
		};
		$(window).resize(function(){
			scrollHeader();
			classHeader();
		});
		$(window).scroll(function(){
			classHeader();
		});
		scrollHeader();
		classHeader();
				
	</script>
</body>
</html>