/**
 * Gestion des formulaires d'inscription/réservation
 *
 * @author Nicolas Porion
 * @author Accent Français
 */
$(document).ready(function(){
	// Inits
	$('.totalPriceEuros').hide();
	
	// Captcha
	var nb1 = Math.floor(Math.random() * 9);
	var nb2 = Math.floor(Math.random() * 9);
	var somme = parseInt(nb1) + parseInt(nb2);
	$('.chiffre1').empty().html(nb1);
	$('.chiffre2').empty().html(nb2);
	$('input[name=somme]').val(somme);
	
	// Datepickers
	$('#dp1').datepicker({
		format: 'dd/mm/yyyy',
	}).on('changeDate', function(date){
		calcul_total();
	});
	$('#birthday').datepicker({
		format: 'dd/mm/yyyy',
	});
	
	// Changement durée séjour
	$('#duree_sejour').on('change',function(){ calcul_total(); });
	
	// Sélection d'un hébergement
	$('#select_accommodation').on('change',function(){
		ajax_accommodation( $(this).val() ); // ID de l'hébergement sélectionné
	});
	
	// Convertisseur de devise
	$('#convertDevise').on('change',function(){
		convertisseur_devise($('.totalPriceEuros').html(), $(this).val());
	});
	
	// Préchargements des cours (selects)
	if(typeof pre_cours != 'undefined' && pre_cours.length>=1){
		for(i=1; i<=pre_cours.length; i++){
			nico(i, pre_cours[i-1]);
		}
	} else {
		ajouter_cours(1); // Initialisation à 1 cours
	}
	
});
function nico(i, valeur){
	setTimeout(function(){
		ajouter_cours(i);
	}, i*200);
	setTimeout(function(){
		$('#select_cours'+i).val(valeur).trigger('change');
	}, i*800);
}
function convertisseur_devise(prix, devise){
	var euros = prix;
	var devise = devise;
	$.ajax({
		type: "POST",
		url: routeDevise,
		data: { 
			euros: euros,
			devise: devise
		}
	}).done(function(data){
		obj = JSON.parse(data);
		if( typeof obj.devise != 'undefined' ){
			if(obj.devise=='euros'){
				$('.totalPrice').empty().html('&euro; '+obj.eur);
			} else if(obj.devise=='livre'){
				$('.totalPrice').empty().html('&pound; '+obj.liv);
			} else if(obj.devise=='rouble'){
				$('.totalPrice').empty().html('P '+obj.rub);
			} else if(obj.devise=='dollars'){
				$('.totalPrice').empty().html('$ '+obj.dol);
			}
			$('.totalPrice').effect('highlight', 1000);
		} else if( typeof obj.erreur != 'undefined' ) {
			$('.totalPrice').empty().html(obj.erreur);
		}
	});
}
function ajouter_cours(num){
	$.ajax({
		type: "POST",
		url: routeAddCours,
		data: { 
			token: time,
			num: num
		}
	})
	.done(function(data){
		$('#espaceCours').append(data);
		$('.select_cours').off('change');
		$('.select_cours').on('change',function(){
			ajax_cours( $(this).val(), $(this).attr('data-num') ); // ID du cours sélectionné
		});
	});
}
function ajax_cours(id, num){
	if(id!=0)
	{
		$('#resultat_cours'+num+'b').hide();
		$('#resultat_cours'+num+'a').fadeIn();
		$.ajax({
			type: "POST",
			url: routeAjaxCours,
			data: { 
				token: time,
				cours: id
			}
		})
		.done(function(data){
			var obj = jQuery.parseJSON(data);
			$('#cours'+num+'_categorie').empty().html(obj.categorie);
			$('#cours'+num+'_duree_min').empty().html(obj.duree_min);
			$('#cours'+num+'_nombre_cours').empty().html(obj.nombre_lecons);
			$('#cours'+num+'_niveau_requis').empty().html(obj.niveau_requis);
			$('#cours'+num+'_duree_cours').empty().html(obj.duree_cours);
			setTimeout(function(){
				$('#resultat_cours'+num+'a').hide();
				$('#resultat_cours'+num+'b').fadeIn();
				// Ajoute le select pour choisir un nouveau cours
				if( $('.select_cours').last().attr('data-num') == num ){
					num++;
					ajouter_cours(num);
				}
			}, 1500);
		});
	} else {
		$('#resultat_cours'+num+'b').fadeOut();
		$('#resultat_cours'+num+'a').fadeOut();
	}
	calcul_total();
}
function ajax_accommodation(id){
	if(id!=0)
	{
		$('#resultat_heberg_b').hide();
		$('#resultat_heberg_a').fadeIn();
		$.ajax({
			type: "POST",
			url: routeAjaxHebergement,
			data: { 
				token: time,
				accommodation: id
			}
		})
		.done(function(data){
			var obj = jQuery.parseJSON(data);
			$('#accommodation_categorie').empty().html(obj.categorie);
			$('#accommodation_periode').empty().html(obj.periode);
			$('#accommodation_prix_semaine').empty().html(obj.prix_semaine);
			setTimeout(function(){
				$('#resultat_heberg_a').hide();
				$('#resultat_heberg_b').fadeIn();
			}, 1000);
		});
	} else {
		$('#resultat_heberg_b').fadeOut();
		$('#resultat_heberg_a').fadeOut();
	}
	calcul_total();
}
function calcul_total(){
	// Remet la devise par défaut
	$('select#convertDevise option[value="euros"]').attr('selected',true);
	// Hébergement choisi
	var hebergement = $('#select_accommodation').val();
	// Détermine le(s) cours choisi(s)
	cours = '';
	$('.select_cours').each(function(){
		if($(this).val()!=0){
			cours += $(this).val()+'|';
		}
	});
	var cours = cours.substring(0, cours.length - 1); // 5|6|9
	// Date souhaitée
	var date = $('#dp1').val();
	// Durée souhaitée
	var duree = $('#duree_sejour').val();
	//alert('Hebergement : '+hebergement+'\nCours : '+cours+'\nDate : '+date+'\nDurée : '+duree);
	$.ajax({
		type: "POST",
		url: routeAjaxCalculTotal,
		data: {
			token: time,
			hebergement: hebergement,
			cours: cours,
			date: date,
			duree: duree
		}
	})
	.done(function(data){
		var obj = jQuery.parseJSON(data);
		$('.totalPrice').empty().html('&euro; '+obj.prix);
		$('.totalPrice').effect('highlight', 1000);
		$('.totalPrice').parent().find('.sup').remove();
		// Hébergement sur devis?
		if( typeof obj.devis_hebergement != 'undefined' && obj.devis_hebergement == 1 ){
			$('.totalPrice').parent().append('<div class="sup">'+hebergement_sur_devis+'</div>');
		}
		// Cours sur devis?
		if( typeof obj.devis_cours != 'undefined' && obj.devis_cours == 1 ){
			$('.totalPrice').parent().append('<div class="sup">'+cours_sur_devis+'</div>');
		}
		$('.totalPriceEuros').empty().html(obj.prix_cache);
	});
}
// Validation formulaire
$('#formRegistration').submit(function(){
	// Accept CGU
	if($('#acceptcgu').is(':checked')==false){
		modalMsg('Accent Français', acceptCguError,'n');
		return false;
	} else {
		// Captcha
		if( $('input[name=somme]').val() != $('input[name=chiffre3]').val() )
		{
			modalMsg('Accent Français', erreurContact1, 'n');
			$('input[name=chiffre3]').css('borderColor','#a94442');
			return false;
		} else {
			total = 0;
			$('input[name=chiffre3]').css('borderColor','#3c763d');
			// Vérifs emails
			var maReg1 = new RegExp( "^\\w[\\w+\.\-]*@[\\w\-]+\.\\w[\\w+\.\-]*\\w$", "gi" );
			var maReg2 = new RegExp( "^\\w[\\w+\.\-]*@[\\w\-]+\.\\w[\\w+\.\-]*\\w$", "gi" );
			if( $('#email').val()=='' || !maReg1.test( $('#email').val() ) ){
				total++;
				$('#email').parent().removeClass('has-success has-feedback').find('span.glyphicon').remove();
				$('#email').parent().addClass('has-error has-feedback').prepend('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
			} else {
				$('#email').parent().removeClass('has-error has-feedback').find('span.glyphicon').remove();
				$('#email').parent().addClass('has-success has-feedback').prepend('<span class="glyphicon glyphicon-ok form-control-feedback"></span>');
			}
			if( $('#emailvalid').val()=='' || !maReg2.test( $('#emailvalid').val() ) ){
				total++;
				$('#emailvalid').parent().removeClass('has-success has-feedback').find('span.glyphicon').remove();
				$('#emailvalid').parent().addClass('has-error has-feedback').prepend('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
			} else {
				$('#emailvalid').parent().removeClass('has-error has-feedback').find('span.glyphicon').remove();
				$('#emailvalid').parent().addClass('has-success has-feedback').prepend('<span class="glyphicon glyphicon-ok form-control-feedback"></span>');
			}
			if(total==0){
				if( $('#email').val() != $('#emailvalid').val() ){
					total++;
					$('#emailvalid').parent().removeClass('has-success has-feedback').find('span.glyphicon').remove();
					$('#emailvalid').parent().addClass('has-error has-feedback').prepend('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
				}
			}
			// Champs requis (class "requis")
			$('.requis').each(function(){
				if($(this).val()==''){
					total++;
					if($(this).hasClass('requisSpe')){
						$(this).parent().parent().removeClass('has-success has-feedback');
						$(this).parent().parent().addClass('has-error has-feedback');
					} else {
						$(this).parent().removeClass('has-success has-feedback').find('span.glyphicon').remove();
						$(this).parent().addClass('has-error has-feedback').prepend('<span class="glyphicon glyphicon-remove form-control-feedback"></span>');
					}
				} else {
					if($(this).hasClass('requisSpe')){
						$(this).parent().parent().removeClass('has-error has-feedback');
						$(this).parent().parent().addClass('has-success has-feedback');
					} else {
						$(this).parent().removeClass('has-error has-feedback').find('span.glyphicon').remove();
						$(this).parent().addClass('has-success has-feedback').prepend('<span class="glyphicon glyphicon-ok form-control-feedback"></span>');
					}
				}
			});
			if(total>=1){
				$('#submitButton').empty().html('<i class="fa fa-warning"></i> '+there_are_errors).switchClass('btn-warning', 'btn-danger', 500, 'easeInOutQuad');
				setTimeout(function(){ $('#submitButton').empty().html(next_button+' <i class="fa fa-chevron-right"></i>').switchClass('btn-danger', 'btn-warning', 500, 'easeInOutQuad') }, 3000);
				return false;
			} else {
				// Détermine les cours choisi et les réinscris dans un champ courses[] pour la récup en php
				cours = '';
				$('.select_cours').each(function(){
					if($(this).val()!=0){
						cours += $(this).val()+'|';
					}
				});
				var cours = cours.substring(0, cours.length - 1); // 5|6|9
				$('#coursesTab').val(cours);
				// Valide le formulaire
				return true;
			}
		}
	}
});